<?php
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php // You can start editing here -- including this comment! ?>

	<?php if ( have_comments() ) : ?>
		<h2 class="comments-title"><?php printf( __( 'Comments %s', 'amber' ), '<span class="count-comments">'.get_comments_number().'</span>' ); ?></span></h2>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-above" class="navigation comment-navigation" role="navigation">
			<h2 class="screen-reader-text"><?php _e( 'Comment navigation', 'amber' ); ?></h2>
			<div class="nav-links">

				<div class="nav-previous"><?php previous_comments_link( __( 'Older Comments', 'amber' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Newer Comments', 'amber' ) ); ?></div>

			</div><!-- .nav-links -->
		</nav><!-- #comment-nav-above -->
		<?php endif; // check for comment navigation ?>

		<ol class="comment-list">
			<?php wp_list_comments( 'type=comment&callback=stm_comment_form' ); ?>
		</ol><!-- .comment-list -->

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-below" class="navigation comment-navigation" role="navigation">
			<h2 class="screen-reader-text"><?php _e( 'Comment navigation', 'amber' ); ?></h2>
			<div class="nav-links">
				<div class="nav-previous"><?php previous_comments_link( __( 'Older Comments', 'amber' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Newer Comments', 'amber' ) ); ?></div>
			</div><!-- .nav-links -->
		</nav><!-- #comment-nav-below -->
		<?php endif; // check for comment navigation ?>

	<?php endif; // have_comments() ?>

	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php _e( 'Comments are closed.', 'amber' ); ?></p>
	<?php endif; ?>

	<?php

	$commenter = wp_get_current_commenter();
	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? " aria-required='true'" : '' );

	$fields =  array(

		'author' =>
			'<div class="row">'.
			'<div class="col-xs-12 col-sm-12 col-md-6 col-lg-6">'.
			'<div class="comment-field_wrap comment-form-author">'.
			'<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
			'" size="30"' . $aria_req . ' placeholder="'.__( 'Name *', 'amber' ).'"/></div>',

		'email' =>
			'<div class="comment-field_wrap comment-form-email">'.
			'<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
			'" size="30"' . $aria_req . ' placeholder="'.__( 'E-Mail *', 'amber' ).'"/></div>',

		'url' =>
			'<div class="comment-field_wrap comment-form-url">'.
			'<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) .
			'" size="30" placeholder="'.__( 'Website', 'amber' ).'"/></div>'.
			'</div>',
	);

	$args = array(
		'id_form'           => 'comment-form',
		'id_submit'         => 'submit',
		'title_reply'       => __( 'Leave a Comment', 'amber' ),
		'title_reply_to'    => __( 'Leave a Comment to %s', 'amber' ),
		'cancel_reply_link' => __( 'Cancel Comment', 'amber' ),
		'label_submit'      => __( 'Add Comment', 'amber' ),

		'comment_notes_after' => '',
		'comment_notes_before' => '',

		'fields' => apply_filters( 'comment_form_default_fields', $fields ),
	);

	if( ! is_user_logged_in() ){
		$args['comment_field'] = '<div class="col-xs-12 col-sm-12 col-md-6 col-lg-6">'.
		                         '<div class="comment-field_wrap comment-form-comment">'.
		                         '<textarea id="comment" name="comment" cols="45" rows="8" aria-required="true" placeholder="'.__( 'Your message *', 'amber' ).'"></textarea>'.
		                         '</div>'.
		                         '</div>'.
		                         '</div>';
	} else{
		$args['comment_field'] = '<div class="row">'.
		                         '<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">'.
		                         '<div class="comment-field_wrap comment-form-comment">'.
		                         '<textarea id="comment" name="comment" cols="45" rows="8" aria-required="true" placeholder="'.__( 'Your message *', 'amber' ).'"></textarea>'.
		                         '</div>'.
		                         '</div>'.
		                         '</div>';
	}

	comment_form($args); ?>

</div><!-- #comments -->
