<?php
function amber_customize_register( $wp_customize ) {
	$wp_customize->add_section( 'header' , array(
		'title'      => __( 'Header', 'amber' ),
		'priority'   => 1,
	) );

	// Main Menu
	$wp_customize->add_setting( 'main_menu_title' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new Customizer_Title (
			$wp_customize,
			'main_menu_title',
			array(
				'label'      => __( 'Main Menu', 'amber' ),
				'section'    => 'header',
				'settings'   => 'main_menu_title',
			) )
	);

	// Main Menu - Background color
	$wp_customize->add_setting( 'main_menu_bg_color' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'main_menu_bg_color',
			array(
				'label'      => __( 'Background Color', 'amber' ),
				'section'    => 'header',
				'settings'   => 'main_menu_bg_color',
			) )
	);

	// Main Menu - Logo
	$wp_customize->add_setting( 'header_logo' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'header_logo',
			array(
				'label'      => __( 'Upload a logo', 'amber' ),
				'section'    => 'header',
				'settings'   => 'header_logo',
			) )
	);

	// Main Menu - Link
	$wp_customize->add_setting( 'main_menu_link' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new Customizer_Section_Title (
			$wp_customize,
			'main_menu_link',
			array(
				'label'      => __( 'Link', 'amber' ),
				'section'    => 'header',
				'settings'   => 'main_menu_link',
			) )
	);

	// Main Menu - Text Transform
	$wp_customize->add_setting( 'main_menu_link_transform' , array(
		'default' => 'none',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		'main_menu_link_transform',
		array(
			'label'      => __( 'Text Transform', 'amber' ),
			'section'    => 'header',
			'settings'   => 'main_menu_link_transform',
			'type'       => 'select',
			'choices'    => array(
                'uppercase' => __( 'Uppercase', 'amber' ),
				'none'      => __( 'None', 'amber' ),
			)
		)
	);
	// Main Menu - Font Style
	$wp_customize->add_setting( 'main_menu_link_style' , array(
		'default' => 'none',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		'main_menu_link_style',
		array(
			'label'      => __( 'Font Style', 'amber' ),
			'section'    => 'header',
			'settings'   => 'main_menu_link_style',
			'type'       => 'select',
			'choices'    => array(
				'italic' => __( 'Italic', 'amber' ),
				'normal' => __( 'Normal', 'amber' ),
			)
		)
	);

	// Main Menu - Font Size
	$wp_customize->add_setting( 'main_menu_link_size' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		'main_menu_link_size',
		array(
			'label'      => __( 'Font Size', 'amber' ),
			'section'    => 'header',
			'settings'   => 'main_menu_link_size',
			'type'       => 'text',
		)
	);

	// Main Menu - Color
	$wp_customize->add_setting( 'main_menu_link_color' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'main_menu_link_color',
			array(
				'label'      => __( 'Color', 'amber' ),
				'section'    => 'header',
				'settings'   => 'main_menu_link_color',
			) )
	);

	// Main Menu - Color Hover
	$wp_customize->add_setting( 'main_menu_hover_link_color' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'main_menu_hover_link_color',
			array(
				'label'      => __( 'Color Hover', 'amber' ),
				'section'    => 'header',
				'settings'   => 'main_menu_hover_link_color',
			) )
	);

	// Top Menu
	$wp_customize->add_setting( 'top_menu_title' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new Customizer_Title (
			$wp_customize,
			'top_menu_title',
			array(
				'label'      => __( 'Top Menu', 'amber' ),
				'section'    => 'header',
				'settings'   => 'top_menu_title',
			) )
	);

	// Top Menu - Hide
	$wp_customize->add_setting( 'top_menu_state' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		'top_menu_state',
		array(
			'label'      => __( 'Top Menu - State', 'amber' ),
			'section'    => 'header',
			'settings'   => 'top_menu_state',
			'type'       => 'select',
			'choices'    => array(
				''     => __( 'Theme Options', 'amber' ),
				'show' => __( 'Show', 'amber' ),
				'hide' => __( 'Hide', 'amber' ),
			)
		)
	);

	// Top Menu - Search
	$wp_customize->add_setting( 'top_menu_search_state' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		'top_menu_search_state',
		array(
			'label'      => __( 'Top Menu - Search State', 'amber' ),
			'section'    => 'header',
			'settings'   => 'top_menu_search_state',
			'type'       => 'select',
			'choices'    => array(
				''     => __( 'Theme Options', 'amber' ),
				'show' => __( 'Show', 'amber' ),
				'hide' => __( 'Hide', 'amber' ),
			)
		)
	);

	// Top Menu - Login
	$wp_customize->add_setting( 'top_menu_login_state' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		'top_menu_login_state',
		array(
			'label'      => __( 'Top Menu - Login State', 'amber' ),
			'section'    => 'header',
			'settings'   => 'top_menu_login_state',
			'type'       => 'select',
			'choices'    => array(
				''     => __( 'Theme Options', 'amber' ),
				'show' => __( 'Show', 'amber' ),
				'hide' => __( 'Hide', 'amber' ),
			)
		)
	);

	// Top Menu - Cart
	$wp_customize->add_setting( 'top_menu_cart_state' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		'top_menu_cart_state',
		array(
			'label'      => __( 'Top Menu - Cart State', 'amber' ),
			'section'    => 'header',
			'settings'   => 'top_menu_cart_state',
			'type'       => 'select',
			'choices'    => array(
				''     => __( 'Theme Options', 'amber' ),
				'show' => __( 'Show', 'amber' ),
				'hide' => __( 'Hide', 'amber' ),
			)
		)
	);

	// Top Menu - Cart
	$wp_customize->add_setting( 'top_menu_socials_state' , array(
		'default' => 'show',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		'top_menu_socials_state',
		array(
			'label'      => __( 'Top Menu - Socials State', 'amber' ),
			'section'    => 'header',
			'settings'   => 'top_menu_socials_state',
			'type'       => 'select',
			'choices'    => array(
				''     => __( 'Theme Options', 'amber' ),
				'show' => __( 'Show', 'amber' ),
				'hide' => __( 'Hide', 'amber' ),
			)
		)
	);

	// Social networks
	$social_links = array(
		'facebook-square'    => __( 'Facebook', 'amber' ),
		'twitter-square'     => __( 'Twitter', 'amber' ),
		'instagram' 	     => __( 'Instagram', 'amber' ),
		'google-plus-square' => __( 'Google Plus', 'amber' ),
		'pinterest-square'   => __( 'Pinterest', 'amber' ),
		'youtube-square'     => __( 'Youtube', 'amber' ),
	);

	foreach ( $social_links as $setting => $label ) {
		$wp_customize->add_setting(
			'top_menu_socials[' . $setting . ']', array(
				'default' => '',
				'sanitize_callback' => 'stm_sanitize_callback'
			)
		);
		$wp_customize->add_control(
			'top_menu_socials[' . $setting . ']', array(
				'label'   => $label,
				'section' => 'header',
				'type'    => 'text',
			)
		);

	}

	// Top Menu - Background color
	$wp_customize->add_setting( 'top_menu_bg_color' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'top_menu_bg_color',
			array(
				'label'      => __( 'Background Color', 'amber' ),
				'section'    => 'header',
				'settings'   => 'top_menu_bg_color',
			) )
	);

	// Top Menu - Link
	$wp_customize->add_setting( 'top_menu_link' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new Customizer_Section_Title (
			$wp_customize,
			'top_menu_link',
			array(
				'label'      => __( 'Link', 'amber' ),
				'section'    => 'header',
				'settings'   => 'top_menu_link',
			) )
	);
	// Top Menu - Text Transform
	$wp_customize->add_setting( 'top_menu_link_transform' , array(
		'default' => 'none',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		'top_menu_link_transform',
		array(
			'label'      => __( 'Text Transform', 'amber' ),
			'section'    => 'header',
			'settings'   => 'top_menu_link_transform',
			'type'       => 'select',
			'choices'    => array(
				'none'      => __( 'None', 'amber' ),
				'uppercase' => __( 'Uppercase', 'amber' ),
			)
		)
	);
	// Top Menu - Font Style
	$wp_customize->add_setting( 'top_menu_link_style' , array(
		'default' => 'none',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		'top_menu_link_style',
		array(
			'label'      => __( 'Font Style', 'amber' ),
			'section'    => 'header',
			'settings'   => 'top_menu_link_style',
			'type'       => 'select',
			'choices'    => array(
				'italic' => __( 'Italic', 'amber' ),
				'normal' => __( 'Normal', 'amber' ),
			)
		)
	);

	// Top Menu - Font Size
	$wp_customize->add_setting( 'top_menu_link_size' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
			'top_menu_link_size',
			array(
				'label'      => __( 'Font Size', 'amber' ),
				'section'    => 'header',
				'settings'   => 'top_menu_link_size',
				'type'       => 'text',
			)
	);

	// Top Menu - Color
	$wp_customize->add_setting( 'top_menu_link_color' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'top_menu_link_color',
			array(
				'label'      => __( 'Color', 'amber' ),
				'section'    => 'header',
				'settings'   => 'top_menu_link_color',
			) )
	);

	// Top Menu - Color Hover
	$wp_customize->add_setting( 'top_menu_hover_link_color' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'top_menu_hover_link_color',
			array(
				'label'      => __( 'Color Hover', 'amber' ),
				'section'    => 'header',
				'settings'   => 'top_menu_hover_link_color',
			) )
	);

	// Top Menu Search Form
	$wp_customize->add_setting( 'top_menu_search' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new Customizer_Section_Title (
			$wp_customize,
			'top_menu_search',
			array(
				'label'      => __( 'Search form', 'amber' ),
				'section'    => 'header',
				'settings'   => 'top_menu_search',
			) )
	);

	// Top Menu Search form - Font Size
	$wp_customize->add_setting( 'top_menu_search_fontsize' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		'top_menu_search_fontsize',
		array(
			'label'      => __( 'Font Size', 'amber' ),
			'section'    => 'header',
			'settings'   => 'top_menu_search_fontsize',
			'type'       => 'text',
		)
	);

	// Top Menu Search form - Text Color
	$wp_customize->add_setting( 'top_menu_search_textcolor' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'top_menu_search_textcolor',
			array(
				'label'      => __( 'Text Color', 'amber' ),
				'section'    => 'header',
				'settings'   => 'top_menu_search_textcolor',
			) )
	);

	// Top Menu Search Form - Text Transform
	$wp_customize->add_setting( 'top_menu_search_transform' , array(
		'default' => 'none',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		'top_menu_search_transform',
		array(
			'label'      => __( 'Text Transform', 'amber' ),
			'section'    => 'header',
			'settings'   => 'top_menu_search_transform',
			'type'       => 'select',
			'choices'    => array(
				'none'      => __( 'None', 'amber' ),
				'uppercase' => __( 'Uppercase', 'amber' ),
			)
		)
	);
	// Top Menu Search Form - Font Style
	$wp_customize->add_setting( 'top_menu_search_textstyle' , array(
		'default' => 'none',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		'top_menu_search_textstyle',
		array(
			'label'      => __( 'Font Style', 'amber' ),
			'section'    => 'header',
			'settings'   => 'top_menu_search_textstyle',
			'type'       => 'select',
			'choices'    => array(
				'italic' => __( 'Italic', 'amber' ),
				'normal' => __( 'Normal', 'amber' ),
			)
		)
	);

	// Top Menu Search form - Border color
	$wp_customize->add_setting( 'top_menu_border_color' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'top_menu_border_color',
			array(
				'label'      => __( 'Border Color', 'amber' ),
				'section'    => 'header',
				'settings'   => 'top_menu_border_color',
			) )
	);

	// Top Menu Search form - Search Icon Color
	$wp_customize->add_setting( 'top_menu_icon_color' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'top_menu_icon_color',
			array(
				'label'      => __( 'Icon Color', 'amber' ),
				'section'    => 'header',
				'settings'   => 'top_menu_icon_color',
			) )
	);

	// Top Menu Search form - Search Icon Color
	$wp_customize->add_setting( 'top_menu_icon_color' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'top_menu_icon_color',
			array(
				'label'      => __( 'Icon Color', 'amber' ),
				'section'    => 'header',
				'settings'   => 'top_menu_icon_color',
			) )
	);

	// Dropdown
	$wp_customize->add_setting( 'dropdown_menu' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new Customizer_Section_Title (
			$wp_customize,
			'dropdown_menu',
			array(
				'label'      => __( 'Dropdown', 'amber' ),
				'section'    => 'header',
				'settings'   => 'dropdown_menu',
			) )
	);

	// Dropdown - BG Color
	$wp_customize->add_setting( 'dropdown_bg_color' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dropdown_bg_color',
			array(
				'label'      => __( 'Background Color', 'amber' ),
				'section'    => 'header',
				'settings'   => 'dropdown_bg_color',
			) )
	);

	// Dropdown - Link Color
	$wp_customize->add_setting( 'dropdown_link_color' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dropdown_link_color',
			array(
				'label'      => __( 'Link Color', 'amber' ),
				'section'    => 'header',
				'settings'   => 'dropdown_link_color',
			) )
	);

	// Dropdown - Link Color Hover
	$wp_customize->add_setting( 'dropdown_link_color_hover' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dropdown_link_color_hover',
			array(
				'label'      => __( 'Link Color Hover', 'amber' ),
				'section'    => 'header',
				'settings'   => 'dropdown_link_color_hover',
			) )
	);

	// Dropdown - Font Size
	$wp_customize->add_setting( 'dropdown_font_size' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
			'dropdown_font_size',
			array(
				'label'      => __( 'Font Size', 'amber' ),
				'section'    => 'header',
				'settings'   => 'dropdown_font_size',
				'type'       => 'text',
			)
	);

	// Dropdown - Font Style
	$wp_customize->add_setting( 'dropdown_font_style' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		'dropdown_font_style',
		array(
			'label'      => __( 'Font Style', 'amber' ),
			'section'    => 'header',
			'settings'   => 'dropdown_font_style',
			'type'       => 'select',
			'choices'    => array(
				'italic' => __('Italic', 'amber'),
				'normal' => __('Normal', 'amber'),
			)
		)
	);

	// Dropdown - Text Transform
	$wp_customize->add_setting( 'dropdown_text_transform' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control(
		'dropdown_text_transform',
		array(
			'label'      => __( 'Text Transform', 'amber' ),
			'section'    => 'header',
			'settings'   => 'dropdown_text_transform',
			'type'       => 'select',
			'choices'    => array(
				'none'      => __('None', 'amber'),
				'uppercase' => __('Uppercase', 'amber'),
			)
		)
	);

    // Mobile Menu
    $wp_customize->add_setting( 'mobile_menu' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new Customizer_Section_Title (
            $wp_customize,
            'dropdown_menu',
            array(
                'label'      => __( 'Mobile Menu', 'amber' ),
                'section'    => 'header',
                'settings'   => 'mobile_menu',
            ) )
    );
    // Mobile Menu. Top Menu - BG
    $wp_customize->add_setting( 'mobile_top_menu_bg' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'mobile_top_menu_bg',
            array(
                'label'      => __( 'Top Menu - Background', 'amber' ),
                'section'    => 'header',
                'settings'   => 'mobile_top_menu_bg',
            ) )
    );
    // Mobile Menu. Main menu - BG
    $wp_customize->add_setting( 'mobile_main_menu_bg' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'mobile_main_menu_bg',
            array(
                'label'      => __( 'Main Menu - Background', 'amber' ),
                'section'    => 'header',
                'settings'   => 'mobile_main_menu_bg',
            ) )
    );
    // Mobile Menu. Main menu - Text Transform
    $wp_customize->add_setting( 'mobile_mmenu_text_transform' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        'mobile_mmenu_text_transform',
        array(
            'label'      => __( 'Text Transform', 'amber' ),
            'section'    => 'header',
            'settings'   => 'mobile_mmenu_text_transform',
            'type'       => 'select',
            'choices'    => array(
                'none'      => __('None', 'amber'),
                'uppercase' => __('Uppercase', 'amber'),
            )
        )
    );
    // Mobile Menu. Main menu - Link Color
    $wp_customize->add_setting( 'mobile_mmenu_link_color' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'mobile_mmenu_link_color',
            array(
                'label'      => __( 'Main Menu - Link Color', 'amber' ),
                'section'    => 'header',
                'settings'   => 'mobile_mmenu_link_color',
            ) )
    );
    // Mobile Menu. Main menu - Font Size
    $wp_customize->add_setting( 'mobile_mmenu_font_size' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        'mobile_mmenu_font_size',
        array(
            'label'      => __( 'Main Menu - Font Size', 'amber' ),
            'section'    => 'header',
            'settings'   => 'mobile_mmenu_font_size',
            'type'       => 'text',
        )
    );
    // Mobile Menu. Dropdown - Font Size
    $wp_customize->add_setting( 'mobile_dropdown_font_size' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        'mobile_dropdown_font_size',
        array(
            'label'      => __( 'Dropdown - Font Size', 'amber' ),
            'section'    => 'header',
            'settings'   => 'mobile_dropdown_font_size',
            'type'       => 'text',
        )
    );
    // Mobile Menu. Dropdown - Link Color
    $wp_customize->add_setting( 'mobile_dropdown_link_color' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'mobile_dropdown_link_color',
            array(
                'label'      => __( 'Dropdown - Link Color', 'amber' ),
                'section'    => 'header',
                'settings'   => 'mobile_dropdown_link_color',
            ) )
    );
    // Mobile Menu. Menu Toggle Icon - Color
    $wp_customize->add_setting( 'mobile_menu_toggle_color' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'mobile_menu_toggle',
            array(
                'label'      => __( 'Menu Toggle Icon - Color', 'amber' ),
                'section'    => 'header',
                'settings'   => 'mobile_menu_toggle_color',
            ) )
    );
    // Mobile Menu. Search Text - Color
    $wp_customize->add_setting( 'mobile_search_text_color' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'mobile_search_text_color',
            array(
                'label'      => __( 'Search Text - Color', 'amber' ),
                'section'    => 'header',
                'settings'   => 'mobile_search_text_color',
            ) )
    );
    // Mobile Menu. Search Text - Size
    $wp_customize->add_setting( 'mobile_search_text_size' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        'mobile_search_text_size',
        array(
            'label'      => __( 'Search Text - Size', 'amber' ),
            'section'    => 'header',
            'settings'   => 'mobile_search_text_size',
            'type'       => 'text',
        )
    );
    // Mobile Menu. Search Toggle Icon - Color
    $wp_customize->add_setting( 'mobile_search_toggle_color' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'mobile_search_toggle_color',
            array(
                'label'      => __( 'Search Toggle Icon - Color', 'amber' ),
                'section'    => 'header',
                'settings'   => 'mobile_search_toggle_color',
            ) )
    );
    // Mobile Menu. Search Close Icon - Color
    $wp_customize->add_setting( 'mobile_search_close_color' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'mobile_search_close_color',
            array(
                'label'      => __( 'Search Close Icon - Color', 'amber' ),
                'section'    => 'header',
                'settings'   => 'mobile_search_close_color',
            ) )
    );
    // Mobile Menu. Search Close Icon - Color
    $wp_customize->add_setting( 'mobile_search_icon_color' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'mobile_search_icon_color',
            array(
                'label'      => __( 'Search Icon - Color', 'amber' ),
                'section'    => 'header',
                'settings'   => 'mobile_search_icon_color',
            ) )
    );
    // Mobile Menu. User Menu Button - Border Color
    $wp_customize->add_setting( 'mobile_umenu_border_color' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'mobile_umenu_border_color',
            array(
                'label'      => __( 'User Menu - Button Border Color', 'amber' ),
                'section'    => 'header',
                'settings'   => 'mobile_umenu_border_color',
            ) )
    );
    // Mobile Menu. User Menu Button - Text Color
    $wp_customize->add_setting( 'mobile_umenu_button_textcolor' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'mobile_umenu_button_textcolor',
            array(
                'label'      => __( 'User Menu - Button Text Color', 'amber' ),
                'section'    => 'header',
                'settings'   => 'mobile_umenu_button_textcolor',
            ) )
    );
    // Mobile Menu. User Menu Button - Hover Color
    $wp_customize->add_setting( 'mobile_umenu_button_hovercolor' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'mobile_umenu_button_hovercolor',
            array(
                'label'      => __( 'User Menu - Button Hover Color', 'amber' ),
                'section'    => 'header',
                'settings'   => 'mobile_umenu_button_hovercolor',
            ) )
    );
    // Mobile Menu. User Menu Button - Text Size
    $wp_customize->add_setting( 'mobile_umenu_button_textsize' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        'mobile_search_text_size',
        array(
            'label'      => __( 'User Menu - Button Text Size', 'amber' ),
            'section'    => 'header',
            'settings'   => 'mobile_umenu_button_textsize',
            'type'       => 'text',
        )
    );
    // Mobile Menu. User Menu Button - Hover BG
    $wp_customize->add_setting( 'mobile_umenu_button_hoverbg' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'mobile_umenu_button_hoverbg',
            array(
                'label'      => __( 'User Menu - Button Hover BG', 'amber' ),
                'section'    => 'header',
                'settings'   => 'mobile_umenu_button_hoverbg',
            ) )
    );

	// Footer
	$wp_customize->add_section( 'footer' , array(
		'title'      => __( 'Footer options', 'amber' ),
		'priority'   => 2,
	) );

	// Footer - Copyright
	$wp_customize->add_setting( 'copyright' , array(
		'default' => '',
		'sanitize_callback' => 'stm_sanitize_callback',
	) );

	$wp_customize->add_control( new Customizer_Textarea (
		$wp_customize,
		'copyright',
		array (
			'label'      => __( 'Copyright ( Deprecated. Please, use "Theme Options" )', 'amber' ),
			'section'    => 'footer',
			'settings'   => 'copyright',
			'type'       => 'text',
		) )
	);

    // Other Options
    $wp_customize->add_section( 'other' , array(
        'title'      => __( 'Other', 'amber' ),
        'priority'   => 3,
    ) );

    // MailChimp
    $wp_customize->add_setting( 'mailchimp_title' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new Customizer_Title (
            $wp_customize,
            'mailchimp_title',
            array(
                'label'    => __( 'Mail Chimp', 'amber' ),
                'section'  => 'other',
                'settings' => 'mailchimp_title',
                'priority' => 1
            ) )
    );

    $wp_customize->add_setting( 'mailchimp_api_key', array(
        'sanitize_callback' => 'stm_sanitize_callback'
    ) );

    $wp_customize->add_control( 'mailchimp_api_key', array(
            'label'    => 'MailChimp ApiKey',
            'section'  => 'other',
            'settings' => 'mailchimp_api_key',
            'type'     => 'text',
            'priority' => 2
        )
    );

    $wp_customize->add_setting( 'mailchimp_list_id', array(
        'sanitize_callback' => 'stm_sanitize_callback'
    ) );

    $wp_customize->add_control( 'mailchimp_list_id', array(
            'label'    => 'MailChimp ListID',
            'section'  => 'other',
            'settings' => 'mailchimp_list_id',
            'type'     => 'text',
            'priority' => 3
        )
    );

    // Google Fonts
    $wp_customize->add_setting( 'google_fonts_title' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new Customizer_Title (
            $wp_customize,
            'google_fonts_title',
            array(
                'label'    => __( 'Fonts ( Deprecated. Please, use "Theme Options" )', 'amber' ),
                'section'  => 'other',
                'settings' => 'google_fonts_title',
                'priority' => 4
            ) )
    );

    $fonts_array = file( get_template_directory() . '/inc/customizer/webfonts.json' );
    $fonts_array = json_decode( implode( '', $fonts_array ), true );
    $fonts = array(
        '' => __( 'Default', 'amber' )
    );
    foreach ( $fonts_array['items'] as $val ) {
        $fonts[ esc_attr( $val['family'] ) ] = esc_attr( $val['family'] );
    }

    $wp_customize->add_setting( 'font_1', array(
        'default'           => '',
        'sanitize_callback' => 'stm_sanitize_callback'
    ) );

    $wp_customize->add_control( 'font_1', array(
        'label'    => __( 'Font 1', 'amber' ),
        'section'  => 'other',
        'settings' => 'font_1',
        'priority' => 5,
        'type'     => 'select',
        'choices'  => $fonts
    ) );

    $wp_customize->add_setting( 'font_2', array(
        'default'           => '',
        'sanitize_callback' => 'stm_sanitize_callback'
    ) );

    $wp_customize->add_control( 'font_2', array(
        'label'    => __( 'Font 2', 'amber' ),
        'section'  => 'other',
        'settings' => 'font_2',
        'priority' => 6,
        'type'     => 'select',
        'choices'  => $fonts
    ) );

    // Main Menu - Logo
    $wp_customize->add_setting( 'favicon' , array(
        'default' => '',
        'sanitize_callback' => 'stm_sanitize_callback',
    ) );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'favicon',
            array(
                'label'      => __( 'Favicon ( Deprecated. Please, use "Theme Options" )', 'amber' ),
                'section'    => 'other',
                'settings'   => 'favicon',
            ) )
    );

	// Main Menu
	$wp_customize->get_setting( 'header_logo' )->transport = 'postMessage';
    
	$wp_customize->get_setting( 'main_menu_bg_color' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'main_menu_link_transform' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'main_menu_link_style' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'main_menu_link_size' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'main_menu_link_color' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'main_menu_hover_link_color' )->transport         = 'postMessage';

	// Top Menu
	$wp_customize->get_setting( 'top_menu_bg_color' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'top_menu_search_fontsize' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'top_menu_search_textcolor' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'top_menu_search_transform' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'top_menu_search_textstyle' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'top_menu_border_color' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'top_menu_icon_color' )->transport         = 'postMessage';

	$wp_customize->get_setting( 'top_menu_link_transform' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'top_menu_link_style' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'top_menu_link_size' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'top_menu_link_color' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'top_menu_hover_link_color' )->transport         = 'postMessage';

	// Dropdown
	$wp_customize->get_setting( 'dropdown_bg_color' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'dropdown_link_color' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'dropdown_link_color_hover' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'dropdown_font_size' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'dropdown_font_style' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'dropdown_text_transform' )->transport         = 'postMessage';

	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';

    // Other Options
	$wp_customize->get_setting( 'font_1' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'font_2' )->transport  = 'postMessage';

	$wp_customize->get_setting( 'mailchimp_list_id' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'mailchimp_api_key' )->transport  = 'postMessage';
}
add_action( 'customize_register', 'amber_customize_register' );

function stm_sanitize_callback( $value ) {
	return $value;
}

function amber_customize_preview_js() {
	wp_enqueue_script( 'customizer-preview', get_template_directory_uri() . '/inc/customizer/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'amber_customize_preview_js' );


function amber_customize_controls_styles() {
	wp_register_style( 'customizer_controls_styles', get_template_directory_uri() . '/inc/customizer/css/style.css' );
	wp_enqueue_style('customizer_controls_styles');
}
add_action('customize_controls_print_styles', 'amber_customize_controls_styles');
