<?php

/**
 * ReduxFramework Barebones Sample Config File
 * For full documentation, please visit: http://docs.reduxframework.com/
 *
 * For a more extensive sample-config file, you may look at:
 * https://github.com/reduxframework/redux-framework/blob/master/sample/sample-config.php
 *
 */

if ( ! class_exists( 'Redux' ) ) {
	return;
}

// This is your option name where all the Redux data is stored.
$opt_name = "stm_option";

/**
 * ---> SET ARGUMENTS
 * All the possible arguments for Redux.
 * For full documentation on arguments, please refer to: https://github.com/ReduxFramework/ReduxFramework/wiki/Arguments
 * */

$theme = wp_get_theme(); // For use with some settings. Not necessary.

$args = array(
	'opt_name'              => 'stm_option',
	'display_name'          => 'Amber',
	'display_version'       => 'v.1.5',
	'page_title'            => __( 'Theme Options', 'amber' ),
	'menu_title'            => __( 'Theme Options', 'amber' ),
	'update_notice'         => false,
	'admin_bar'             => true,
	'dev_mode'              => false,
	'menu_icon'             => 'dashicons-hammer',
	'menu_type'             => 'menu',
	'allow_sub_menu'        => true,
	'page_parent_post_type' => '',
	'default_mark'          => '',
	'hints'                 => array(
		'icon_position' => 'right',
		'icon_size'     => 'normal',
		'tip_style'     => array(
			'color' => 'light',
		),
		'tip_position'  => array(
			'my' => 'top left',
			'at' => 'bottom right',
		),
		'tip_effect'    => array(
			'show' => array(
				'duration' => '500',
				'event'    => 'mouseover',
			),
			'hide' => array(
				'duration' => '500',
				'event'    => 'mouseleave unfocus',
			),
		),
	),
	'output'                => true,
	'output_tag'            => true,
	'compiler'              => true,
	'page_permissions'      => 'manage_options',
	'save_defaults'         => true,
	'database'              => 'options',
	'transient_time'        => '3600',
	'show_import_export'    => true,
	'network_sites'         => true
);

Redux::setArgs( $opt_name, $args );

/*
 * ---> END ARGUMENTS
 */


/*
 *
 * ---> START SECTIONS
 *
 */
Redux::setSection( $opt_name, array(
	'title'   => __( 'General', 'amber' ),
	'desc'    => '',
	'submenu' => true,
	'fields'  => array(
		array(
			'id'       => 'favicon',
			'url'      => false,
			'type'     => 'media',
			'title'    => __( 'Favicon', 'amber' ),
			'default'  => array( 'url' => get_template_directory_uri() . '/inc/assets/images/icons/favicon.png' ),
			'subtitle' => __( 'Upload a 16x16px .png or .gif image here', 'amber' ),
		),
		array(
			'id'          => 'primary_color',
			'type'        => 'color',
			'title'       => __( 'Primary Color', 'amber' ),
			'default'  	  => '#9d8f62',
			'transparent' => false,
			'validate'    => 'color',
			'output'      => array(
				'border-color' => '.post-password-form input[type="submit"],
								   .main-navbar .user-menu a,
								   .wpb_call_to_action.style-2 .wpb_button,
								   .stm-contact_callback,
								   .rental-services_filter .active,
								   .stm_staff-member .stm_details_more,
								   .contact-details .see-map_link,
								   .wpcf7-form .wpcf7-textarea:focus,
								   .wpcf7-form .wpcf7-text:focus,
								   .wpcf7-form .wpcf7-submit,
								   .info_box.box,
								   .events-list .event-add,
								   .error-404 .return_link,
								   .btn-primary,
								   .btn-primary:hover,
								   .ult_design_3 .ult_pricing_table .ult_price_link .ult_price_action_button,
								   body .wpb_tabs.wpb_content_element .wpb_tabs_nav li,
								   body .wpb_tour.wpb_content_element .wpb_tabs_nav li,
								   .event-details .event-add,
								   .post-start,
								   .bypostauthor img.avatar,
								   .comment.bypostauthor .comment-author.avatar img.avatar,
								   .comment-form .form-submit input[type="submit"],
								   .comment-field_wrap textarea:focus,
								   .comment-field_wrap input:focus,
								   .not-found .search-form .search-field,
								   .not-found .search-form .search-submit,
								   .footer_widget-area,
								   .move-top,
								   .woocommerce form.checkout_coupon .button,
								   .woocommerce form.login .button,
								   .woocommerce #respond input#submit,
								   .woocommerce a.button,
								   .woocommerce button.button,
								   .woocommerce input.button,
								   .woocommerce #respond input#submit.button-sig-in,
								   .woocommerce a.button.button-sig-in,
								   .woocommerce button.button.button-sig-in,
								   .woocommerce input.button.button-sig-in,
								   .woocommerce #respond input#submit.button-sig-up,
								   .woocommerce a.button.button-sig-up,
								   .woocommerce button.button.button-sig-up,
								   .woocommerce input.button.button-sig-up,
								   .woocommerce ul.products li.product .button.add_to_cart_button,
								   .woocommerce #respond input#submit.alt.single_add_to_cart_button,
								   .woocommerce a.button.alt.single_add_to_cart_button,
								   .woocommerce button.button.alt.single_add_to_cart_button,
								   .woocommerce input.button.alt.single_add_to_cart_button,
								   .woocommerce div.product .woocommerce-tabs ul.tabs li a,
								   .woocommerce div.product .woocommerce-tabs ul.tabs:before,
								   .woocommerce #review_form #respond .form-submit input,
								   .woocommerce-cart table.cart .button,
								   .woocommerce-cart table.cart input[type="submit"],
								   .woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
								   .woocommerce .return-to-shop .button.wc-backward,
								   .woocommerce #payment #place_order, .woocommerce-page #payment #place_order,
								   .woocommerce a.added_to_cart,
								   .vc_separator.vc_sep_color_chino .vc_sep_line,
								   .vc_btn3.vc_btn3-color-chino.vc_btn3-style-outline,
								   .vc_btn3.vc_btn3-color-chino.vc_btn3-style-outline:hover,
								   .vc_btn3.vc_btn3-color-chino.vc_btn3-style-outline:focus,
								   .vc_btn3.vc_btn3-color-chino:focus,
								   .vc_btn3.vc_btn3-color-chino.vc_btn3-style-flat:hover,
								   body .vc_general.vc_btn3,
								   body .vc_btn3,
								   .ult_countdown.ult-cd-s2 .ult_countdown-section .ult_countdown-amount',
				'color' => 'p a,
							dl a,
							.wp-caption a,
							.post-password-form input[type="submit"],
							.page-links a,
							.main-navbar .navbar-brand.no-logo,
							.main-navbar .navbar-nav > li.menu-item-language-current > a,
							.main-navbar .submenu-languages > li > a:hover,
							.main-navbar .navbar-nav li.current-menu-parent > a,
							.main-navbar .navbar-nav li.current-menu-item > a,
							.main-navbar .navbar-nav > li > a:hover,
							.main-navbar .navbar-nav > li > a:focus,
							.main-navbar .navbar-nav > .open > a,
							.main-navbar .navbar-nav > .open > a:focus,
							.main-navbar .navbar-nav > .open > a:hover,
							.main-navbar .user-menu a,
							.dropdown-menu > li > a:focus,
							.dropdown-menu > li > a:hover,
							.top-navbar .user-menu-item.cart-contents i,
							.vc_separator h2,
							.wpb_call_to_action.style-1 .wpb_button:focus,
							.wpb_call_to_action.style-1 .wpb_button:hover,
							.wpb_call_to_action.style-2 .wpb_button,
							.wpb_call_to_action.style-2 .wpb_call_text,
							.stm-testimonial .author,
							body .ult-carousel-wrapper.bullets-white .slick-dots li.slick-active i,
							.rental-service-price_currency,
							.rental-service-price_table .rental-service-price_cost,
							.item-features_list li:before,
							.stm_item-details .detail_name,
							.rental-service_item .rs-item_actions a,
							.rental-service_item .rs-item_price,
							.stm-contact_callback,
							.owl-carousel .owl-nav > div:hover i.icon,
							.rental-services_filter a:focus,
							.rental-services_filter a:hover,
							.rental-services_filter .active,
							.blog_grid .post-content h4 a:hover,
							.blog_grid .post-comments_num a:hover,
							.blog_grid .post-read_more a,
							.stm_staff-member .stm_member_name,
							.stm_staff-member .stm_details_more,
							.wpb_text_column a,
							.contact-details .contact-email a:hover,
							.contact-details .see-map_link,
							.wpcf7-form .wpcf7-submit,
							.info_box.box h5,
							.events-list .entry-content h4 a:hover,
							.events-list .event-details i,
							.events-list .event-add,
							.error-404 .return_link,
							.page-meta_list li a:hover,
							.page-meta_list li i,
							.wpb_text_column.drop-caps p:first-child:first-letter,
							.btn-primary,
							.table thead > tr > th,
							table thead > tr > th,
							table tbody > tr > td a,
							table tbody > tr > th a,
							body .wpb_content_element .wpb_tabs_nav li:hover a,
							body .wpb_content_element .wpb_tour_tabs_wrapper .wpb_tabs_nav .ui-tabs-active a,
							body .wpb_tour_next_prev_nav a,
							.wpb_accordion .wpb_accordion_wrapper .wpb_accordion_header:hover a,
							.event-details_list i,
							.event-details .event-add,
							.hentry.view-for-grid .entry-title a:focus,
							.hentry.view-for-grid .entry-title a:hover,
							.hentry.view-for-list .read-more,
							.hentry.view-for-grid .read-more,
							.posts-navigation .page-numbers:focus,
							.posts-navigation .page-numbers:hover,
							.posts-navigation .page-numbers.current,
							.hentry.view-for-list .entry-title a:hover,
							.hentry.view-for-list .entry-title a:focus,
							.post-start,
							.related-post_title a,
							.comments-title .count-comments,
							.comment-author.vcard .fn a:hover,
							.comment-meta .reply a,
							.comment-meta .reply i,
							#cancel-comment-reply-link,
							.comment-form .form-submit input[type="submit"],
							.logged-in-as a,
							.widget-title a:focus,
							.widget-title a:hover,
							.widget ul li a:focus,
							.widget ul li a:hover,
							.recent-events_list li h5 a,
							.recent-events_list td i,
							.widget.widget_archive ul li:before,
							.widget_mailchimp .input-group-btn,
							.tweets_list .tweet.left-icon:after,
							.tweets_list .tweet p a,
							.widget.widget_calendar table a,
							.widget_product_categories .product-categories > li:before,
							.widget.widget_categories ul li:before,
							.widget.widget_recent_comments ul li,
							.widget.widget_recent_comments ul li:before,
							.widget.widget_recent_comments a:hover,
							.widget.widget_event_categories .event-categories_list li:before,
							.widget.widget_rss ul li a,
							.not-found .search-form .search-submit,
							.footer_widget-area .widget-title,
							.widget_contact_us .contact-details_list li a,
							.footer_widget-area .widget_recent_entries a,
							.copyright a,
							.move-top,
							.buy_theme_popup .buy_button:hover,
							.woocommerce form.checkout_coupon .button,
							.woocommerce form.login .button,
							.lost_password a,
							.woocommerce #respond input#submit,
							.woocommerce a.button,
							.woocommerce button.button,
							.woocommerce input.button,
							.woocommerce #respond input#submit.button-sig-in,
							.woocommerce a.button.button-sig-in,
							.woocommerce button.button.button-sig-in,
							.woocommerce input.button.button-sig-in,
							.woocommerce #respond input#submit.button-sig-up,
							.woocommerce a.button.button-sig-up,
							.woocommerce button.button.button-sig-up,
							.woocommerce input.button.button-sig-up,
							.woocommerce .star-rating span,
							.woocommerce ul.products li.product h3 a,
							.woocommerce ul.products li.product .button.add_to_cart_button,
							.woocommerce nav.woocommerce-pagination ul li a:focus,
							.woocommerce nav.woocommerce-pagination ul li a:hover,
							.woocommerce nav.woocommerce-pagination ul li span.current,
							.shop-header.style-1 .page-title,
							.woocommerce div.product .product_title,
							.woocommerce-review-link,
							.woocommerce-review-link:hover,
							.woocommerce #respond input#submit.alt.single_add_to_cart_button,
							.woocommerce a.button.alt.single_add_to_cart_button,
							.woocommerce button.button.alt.single_add_to_cart_button,
							.woocommerce input.button.alt.single_add_to_cart_button,
							.product_meta a,
							.woocommerce div.product .woocommerce-tabs ul.tabs li.active a,
							.woocommerce div.product .woocommerce-tabs ul.tabs li:hover a,
							.woocommerce #review_form #respond .form-submit input,
							.woocommerce p.stars a,
							.woocommerce-cart table.cart .product-name a,
							.woocommerce-cart table.cart .button,
							.woocommerce-cart table.cart input[type="submit"],
							.woocommerce-cart .cart-collaterals .cart_totals tr td a,
							.woocommerce-cart .cart-collaterals .cart_totals tr th a,
							.woocommerce-cart .cart-collaterals .cart_totals tr.order-total td .amount,
							.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
							.woocommerce-checkout #payment .payment_method_paypal .about_paypal,
							.woocommerce .return-to-shop .button.wc-backward,
							.woocommerce #payment #place_order, .woocommerce-page #payment #place_order,
							.woocommerce-checkout-review-order-list .order-total .amount,
							.woocommerce-checkout-review-order-list .product-total,
							.woocommerce-checkout-review-order-list .cart-subtotal,
							.woocommerce-checkout-review-order-list .product-quantity,
							.woocommerce a.added_to_cart:hover,
							.myaccount_user a,
							.woocommerce-account .addresses .title .edit,
							.woocommerce .widget_top_rated_products .product-title,
							.woocommerce .widget_recently_viewed_products .product-title,
							body .aio-icon i,
							.widget.widget_search .search-form label:after,
							.main-navbar.navbar-default .navbar-nav .open .dropdown-menu > li > a:focus,
							.main-navbar.navbar-default .navbar-nav .open .dropdown-menu > li > a:hover,
							.stats-block .stats-text,
							.vc_btn3.vc_btn3-color-chino.vc_btn3-style-outline,
							.top-navbar .user-menu-item.social-networks:hover a,
							.top-navbar .user-menu-item.social-networks a:hover,
							.vc_btn3.vc_btn3-color-chino:focus,
							.vc_btn3.vc_btn3-color-chino:hover,
							.vc_btn3.vc_btn3-color-chino.vc_btn3-style-flat:focus,
							.vc_btn3.vc_btn3-color-chino.vc_btn3-style-flat:hover,
							.ult_countdown.ult-cd-s2 .ult_countdown-section .ult_countdown-period,
							.main-navbar .dropdown-menu > li:hover > a,
							.stm-separator_holder.__icon',
				'background-color' => '.post-password-form input[type="submit"]:hover,
									   .main-navbar .user-menu a:hover,
									   .wpb_call_to_action.style-2 .wpb_button:focus,
									   .wpb_call_to_action.style-2 .wpb_button:hover,
									   .info-box_separator .line,
									   .stm-separator_line,
									   .rental-service_tags .tags-links a:focus,
									   .rental-service_tags .tags-links a:hover,
									   .rental-service_item .rs-item_actions a:hover,
									   .stm-contact_callback:hover,
									   .blog_grid .post-separator .fill-line,
									   .stm_details-more_hover,
									   .contact-details .see-map_link:focus,
									   .contact-details .see-map_link:hover,
									   .wpcf7-form .wpcf7-submit:focus,
									   .wpcf7-form .wpcf7-submit:hover,
									   .info_box.box .info-box_img,
									   .events-list .event-add.is-active,
									   .events-list .event-add:hover,
									   .error-404_head .separator-line,
									   .error-404 .return_link:hover,
									   .wpb_text_column.drop-caps_circle p:first-child:first-letter,
									   .hentry.view-single-post blockquote,
									    blockquote,
									   .wpb_text_column blockquote,
									   .btn-primary:hover,
									   .table-striped thead,
									   .ult_design_3 .ult_pricing_table .ult_pricing_heading,
									   .ult_design_3 .ult_pricing_table .ult_price_link .ult_price_action_button:hover,
									   body .wpb_tabs.wpb_content_element .wpb_tabs_nav li,
									   body .wpb_tour.wpb_content_element .wpb_tabs_nav li,
									   .event-details .event-add.is-active,
									   .event-details .event-add:hover,
									   .single-event-container .tags-links a:hover,
									   .hentry.view-for-list .entry-footer .line-fill,
									   .hentry.view-for-grid .entry-footer .line-fill,
									   .hentry.view-single-post .tags-links a:focus,
									   .hentry.view-single-post .tags-links a:hover,
									   .post-start:focus,
									   .post-start:hover,
									   .comment-form .form-submit input[type="submit"]:focus,
									   .comment-form .form-submit input[type="submit"]:hover,
									   .stm-blockquote,
									   .widget.widget_tag_cloud .tagcloud a:focus,
									   .widget.widget_tag_cloud .tagcloud a:hover,
									   .widget.widget_search,
									   .not-found .search-form .search-submit:hover,
									   .move-top:focus,
									   .move-top:hover,
									   .buy_theme_popup,
									   .woocommerce form.checkout_coupon .button:hover,
									   .woocommerce form.login .button:hover,
									   .woocommerce #respond input#submit:hover,
									   .woocommerce a.button:hover,
									   .woocommerce button.button:hover,
									   .woocommerce input.button:hover,
									   .woocommerce #respond input#submit.button-sig-in:hover,
									   .woocommerce a.button.button-sig-in:hover,
									   .woocommerce button.button.button-sig-in:hover,
									   .woocommerce input.button.button-sig-in:hover,
									   .woocommerce #respond input#submit.button-sig-up:hover,
									   .woocommerce a.button.button-sig-up:hover,
									   .woocommerce button.button.button-sig-up:hover,
									   .woocommerce input.button.button-sig-up:hover,
									   .woocommerce span.onsale,
									   .woocommerce ul.products li.product .button.add_to_cart_button:hover,
									   .woocommerce button.button.alt:disabled,
									   .woocommerce button.button.alt:disabled:hover,
									   .woocommerce button.button.alt:disabled[disabled],
									   .woocommerce button.button.alt:disabled[disabled]:hover,
									   .woocommerce input.button.alt.disabled,
									   .woocommerce input.button.alt.disabled:hover,
									   .woocommerce #respond input#submit.alt.single_add_to_cart_button:hover,
									   .woocommerce a.button.alt.single_add_to_cart_button:hover,
									   .woocommerce button.button.alt.single_add_to_cart_button:hover,
									   .woocommerce input.button.alt.single_add_to_cart_button:hover,
									   .woocommerce div.product .woocommerce-tabs ul.tabs li,
									   .woocommerce #review_form #respond .form-submit input:hover,
									   .woocommerce-cart table.cart .button:hover,
									   .woocommerce-cart table.cart input[type="submit"]:hover,
									   .woocommerce-cart .wc-proceed-to-checkout a.checkout-button:hover,
									   .woocommerce .return-to-shop .button.wc-backward:hover,
									   .woocommerce #payment #place_order:hover, .woocommerce-page #payment #place_order:hover,
									   .woocommerce a.added_to_cart,
									   .search-responsive-collapse,
									   .vc_btn3.vc_btn3-color-chino.vc_btn3-style-outline:hover,
									   .vc_btn3.vc_btn3-color-chino.vc_btn3-style-outline:focus,
									   .vc_btn3.vc_btn3-color-chino,
									   .vc_btn3.vc_btn3-color-chino.vc_btn3-style-flat',
			)
		)
	)
) );

Redux::setSection( $opt_name, array(
	'title'   => __( 'Top Bar', 'amber' ),
	'desc'    => '',
	'icon'    => 'el-icon-file',
	'submenu' => true,
	'fields'  => array(
		array(
			'id'      => 'top_bar_enable',
			'type'    => 'switch',
			'title'   => __( 'Enable Top Bar', 'amber' ),
			'default' => true
		),
		array(
			'id'       => 'top_bar_bg_color',
			'type'     => 'background',
			'background-repeat' => false,
			'background-attachment' => false,
			'background-position' => false,
			'background-image' => false,
			'background-size' => false,
			'transparent' => false,
			'title'    => __('Background Color', 'amber' ),
			'default'  => array(
				'background-color' => '#171717',
			),
			'output'  => array('.top-navbar')
		),
		array(
			'id'          => 'top_bar_color',
			'type'        => 'color',
			'title'       => __( 'Color', 'amber' ),
			'default'  	  => '#6b6b6b',
			'transparent' => false,
			'validate'    => 'color',
			'output'      => array(
				'color' => '.top-navbar .user-menu-item a,
							.top-navbar .navbar-form .form-control,
							.top-navbar .navbar-form .form-control-feedback',
			)
		),
		array(
			'id'      => 'top_bar_search_enable',
			'type'    => 'switch',
			'title'   => __( 'Enable Search', 'amber' ),
			'default' => true
		),
		array(
			'id'          => 'top_bar_search_border_color',
			'type'        => 'color',
			'title'       => __( 'Search - Border Color', 'amber' ),
			'default'  	  => '#3c3c3c',
			'transparent' => false,
			'validate'    => 'color',
			'output'      => array(
				'color' => '.top-navbar .navbar-form .form-control',
			),
			'required' => array( 'top_bar_search_enable', '=', true, ),
		),
		array(
			'id'      => 'top_bar_cart_enable',
			'type'    => 'switch',
			'title'   => __( 'Enable Cart', 'amber' ),
			'default' => true
		),
		array(
			'id'      => 'top_bar_login_enable',
			'type'    => 'switch',
			'title'   => __( 'Enable Login', 'amber' ),
			'default' => true
		),
		array(
			'id'      => 'top_bar_social_enable',
			'type'    => 'switch',
			'title'   => __( 'Enable Social Networks', 'amber' ),
			'default' => false
		),
		array(
			'id'       => 'top_bar_social',
			'type'     => 'checkbox',
			'title'    => __( 'Select Social Media Icons to display', 'amber' ),
			'subtitle' => __( 'The urls for your social media icons will be taken from Social Media settings tab.', 'amber' ),
			'required' => array(
				array( 'top_bar_social_enable', '=', true, )
			),
			'options'  => array(
				'facebook-square'    => 'Facebook',
				'twitter-square'     => 'Twitter',
				'instagram'          => 'Instagram',
				'google-plus-square' => 'Google Plus',
				'pinterest-square'   => 'Pinterest',
				'youtube-square'     => 'Youtube'
			)
		)
	)
) );

Redux::setSection( $opt_name, array(
	'title'   => __( 'Header', 'amber' ),
	'desc'    => '',
	'icon'    => 'el-icon-file',
	'submenu' => true,
	'fields'  => array(
		array(
			'id'      => 'header_lang_enable',
			'type'    => 'switch',
			'title'   => __( 'Enable Language', 'amber' ),
			'default' => true
		),
		array(
			'id'       => 'header_bg_color',
			'type'     => 'background',
			'background-repeat' => false,
			'background-attachment' => false,
			'background-position' => false,
			'background-image' => false,
			'background-size' => false,
			'transparent' => false,
			'title'    => __('Background Color', 'amber' ),
			'default'  => array(
				'background-color' => '#282828',
			),
			'output'  => array('.main-navbar,
								.main-navbar .submenu-languages, .dropdown-menu')
		),
		array(
			'id'          => 'header_color',
			'type'        => 'color',
			'title'       => __( 'Color', 'amber' ),
			'default'  	  => '#9b9b9b',
			'transparent' => false,
			'validate'    => 'color',
			'output'      => array(
				'color' => '.main-navbar .navbar-nav > li > a,
							.dropdown-menu > li > a',
			),
		),
		array(
			'id'             => 'header_typography',
			'type'           => 'typography',
			'title'          => __('Typography', 'amber' ),
			'google'         => true,
			'font-backup'    => true,
			'text-align'     => false,
			'font-weight'    => true,
			'font-style'     => true,
			'line-height'    => false,
			'text-transform' => true,
			'color'          => false,
			'all_styles'     => true,
			'output'         => array('.main-navbar .navbar-nav > li > a'),
			'units'          => 'px',
			'default'        => array(
				'font-size'   => '14px',
				'font-style'  => '400',
				'text-transform' => 'uppercase',
			),
		),
		array(
			'id'             => 'header_dropdown_typography',
			'type'           => 'typography',
			'title'          => __('Dropdown - Typography', 'amber' ),
			'google'         => true,
			'font-backup'    => true,
			'text-align'     => false,
			'font-weight'    => true,
			'font-style'     => true,
			'line-height'    => false,
			'color'          => false,
			'all_styles'     => true,
			'output'         => array('.dropdown-menu > li > a'),
			'units'          => 'px',
			'default'        => array(
				'font-size'   => '14px',
				'font-style'  => '400',
			),
		),
	)
) );

Redux::setSection( $opt_name, array(
	'title'   => __( 'Mobile Menu', 'amber' ),
	'desc'    => '',
	'icon'    => 'el-icon-file',
	'subsection' => true,
	'fields'  => array(
		array(
			'id'          => 'mobile_menu_typography',
			'type'        => 'typography',
			'title'       => __('Typography', 'amber' ),
			'google'      => false,
			'font-backup' => false,
			'text-align'  => false,
			'font-weight' => false,
			'font-family' => false,
			'font-style'  => false,
			'line-height' => false,
			'color'       => false,
			'all_styles'  => true,
			'units'       => 'px',
			'default'     => array(
				'font-size'   => '16px',
			),
		),
		array(
			'id'          => 'mobile_menu_item_border_bot_color',
			'type'        => 'color',
			'title'       => __( 'Menu Item - Border Bottom Color', 'amber' ),
			'default'  	  => '#353535',
			'transparent' => false,
			'validate'    => 'color',
		),
		array(
			'id'          => 'mobile_menu_item_color',
			'type'        => 'color',
			'title'       => __( 'Dropdown Item - Color', 'amber' ),
			'default'  	  => '#666666',
			'transparent' => false,
			'validate'    => 'color',
			'output'	  => array(
				'color' => '.main-navbar .dropdown-menu > li > a'
			)
		),
		array(
			'id'          => 'menu_toggle_color',
			'type'        => 'color',
			'title'       => __( 'Menu Toggle Icon - Color', 'amber' ),
			'default'  	  => '#888',
			'transparent' => false,
			'validate'    => 'color',
			'output'      => array(
				'background-color' => '.navbar-default .navbar-toggle .icon-bar',
			),
		),
		array(
			'id'          => 'search_toggle_color',
			'type'        => 'color',
			'title'       => __( 'Search Toggle Icon, Arrow Icon - Color', 'amber' ),
			'default'  	  => '#6e6e6e',
			'transparent' => false,
			'validate'    => 'color',
			'output'      => array(
				'color' => '.navbar-toggle.search-toggle,
							.main-navbar .navbar-nav > li .caret',
			),
		),
		array(
			'id'          => 'search_close_color',
			'type'        => 'color',
			'title'       => __( 'Search: Close Icon, Search Icon, Text - Color', 'amber' ),
			'default'  	  => '#413c2a',
			'transparent' => false,
			'validate'    => 'color',
			'output'      => array(
				'color' => '.navbar-toggle.close-search,
							.search-responsive-collapse .btn-search,
							.search-responsive-collapse .form-control',
			),
		),
	)
) );

Redux::setSection( $opt_name, array(
	'title'   => __( 'Typography', 'amber' ),
	'desc'    => '',
	'icon'    => 'el el-text-height',
	'submenu' => true,
	'fields'  => array(
		array(
			'id'          => 'primary_typography',
			'type'        => 'typography',
			'title'       => __('Primary', 'amber' ),
			'google'      => true,
			'font-backup' => true,
			'text-align'  => false,
			'font-weight' => false,
			'font-style'  => false,
			'line-height'  => false,
			'color'       => false,
			'all_styles'  => true,
			'output'      => array('body'),
			'units'       => 'px',
			'default'     => array(
				'font-family' => 'Roboto Slab',
				'google'      => true,
				'font-size'   => '14px',
			),
		),
		array(
			'id'          => 'secondary_typography',
			'type'        => 'typography',
			'title'       => __('Secondary', 'amber' ),
			'google'      => true,
			'font-backup' => true,
			'text-align'  => false,
			'font-weight' => false,
			'font-style'  => true,
			'font-size'   => false,
			'line-height' => false,
			'color'  	  => false,
			'all_styles'  => true,
			'output'      => array('.post-password-form input[type="text"],
									.post-password-form input[type="password"],
									.gallery-item .gallery-caption,
									.navbar a,
									.top-navbar .navbar-form .form-control,
									.search-responsive-collapse .form-control,
									.stm-testimonial .author,
									.stm_item-features .item-features_list li,
									.rental-service_tags .tags-links a,
									.rental-service_item .rs-item_price,
									.stm-contact_text,
									.single-project-container .tags-links a,
									.blog_grid .post-content p,
									.stats-block .stats-text,
									.stm_staff-member .stm_member_job,
									.stm_staff-member .stm_summary_details p,
									.contact-details .full-address p,
									.contact-details .contact-email a,
									.wpcf7-form .wpcf7-textarea,
									.wpcf7-form .wpcf7-text,
									.events-list .event-details li,
									.page-meta_list li,
									.breadcrumb li,
									.page-header p,
									.wpb_text_column.drop-caps p:first-child:first-letter,
									.wpb_text_column.drop-caps_circle p:first-child:first-letter,
									.vc_progress_bar .vc_single_bar .vc_label,
									table tbody > tr > td,
									.table > tbody > tr > td,
									.ult_design_3 .ult_price_body .ult_price .ult_price_figure,
									.ult_design_3 .ult_pricing_table .ult_price_features ul li,
									body .wpb_accordion .wpb_accordion_wrapper .wpb_accordion_header a,
									.event-details_list td,
									.single-event-container .tags-links a,
									.hentry.view-for-grid .entry-content,
									.hentry.view-for-grid .entry-content p,
									.hentry.view-for-list .entry-content,
									.hentry.view-for-list .entry-content p,
									.hentry.view-single-post .tags-links a,
									.related-post_title,
									.comment-metadata,
									.comment-meta .reply,
									.comment-field_wrap input,
									.comment-field_wrap textarea,
									.widget ul li,
									.recent-events_list td,
									.widget_mailchimp .input-group .form-control,
									.widget.widget_tag_cloud .tagcloud a,
									.widget.widget_search .search-field,
									.wpb_text_column.style-italic p,
									.wpb_text_column.style-italic ul li,
									.wpb_text_column.style-italic ol li,
									.widget_follow_us .follow_label,
									.site-footer .widget_recent_entries ul li,
									.woocommerce form .form-row input.input-text, .woocommerce form .form-row textarea,
									.woocommerce form.login .remember-me,
									.woocommerce form .form-row label,
									.woocommerce ul.products li.product .price,
									.woocommerce div.product p.price ins, .woocommerce div.product span.price ins,
									.woocommerce div.product p.price del, .woocommerce div.product span.price,
									.woocommerce-review-link,
									.woocommerce .quantity .qty,
									.product_meta,
									.woocommerce div.product form.cart .variations label,
									.woocommerce #reviews #comments ol.commentlist li .published,
									.woocommerce #reviews #comments ol.commentlist li .description p,
									#review_form .comment-form input,
									#review_form .comment-form textarea,
									.woocommerce table.shop_table th,
									.woocommerce-cart table.cart td.product-subtotal,
									.woocommerce-cart table.cart td.product-price,
									.woocommerce-cart table.cart td.actions .coupon .input-text,
									.woocommerce-cart .cart-collaterals .cart_totals table th,
									.woocommerce-cart .cart-collaterals .cart_totals tr td,
									.woocommerce-shipping-fields label,
									.woocommerce-billing-fields label,
									.payment_methods.methods label,
									.woocommerce-checkout #payment div.payment_box p,
									.woocommerce-checkout-review-order-list,
									.woocommerce .woocommerce-info,
									.woocommerce .woocommerce-message,
									.woocommerce .widget_recently_viewed_products .amount'),
			'units'       => 'px',
			'default'     => array(
				'font-family' => 'Lora',
				'font-weight' => '400',
				'font-style'  => 'italic',
				'google'      => true,
			),
		),
	)
) );


Redux::setSection( $opt_name, array(
	'title'   => __( 'Footer', 'amber' ),
	'desc'    => '',
	'submenu' => true,
	'fields'  => array(
		array(
			'id'          => 'footer_bg_color',
			'type'        => 'color',
			'title'       => __( 'Background Color', 'amber' ),
			'default'  	  => '#282828',
			'transparent' => false,
			'validate'    => 'color',
			'output'      => array(
				'background-color' => '.site-footer',
			)
		),
		array(
			'id'          => 'footer_text_color',
			'type'        => 'color',
			'title'       => __( 'Text Color', 'amber' ),
			'default'  	  => '#a5a5a5',
			'transparent' => false,
			'validate'    => 'color',
			'output'      => array(
				'color' => '.widget_contact_us .contact-details_list li,
							.tweets_list .tweet p,
							.widget_follow_us p,
							.widget_recent_entries .post-date,
							.widget_contact_us .contact-details_list.left-icon li:after,
							.copyright',
			)
		),
		array(
			'id'=>'footer_copyright',
			'type' => 'textarea',
			'validate' => 'html_custom',
			'title'    => __( 'Copyright', 'amber' ),
			'default' => '© 2015 StylemixThemes. All rights reserved.<br/>Powered by WordPress.',
			'allowed_html' => array(
				'a' => array(
					'href' => array(),
					'title' => array()
				),
				'br' => array(),
				'em' => array(),
				'strong' => array()
			)
		),
	)
) );

Redux::setSection( $opt_name, array(
	'title'   => __( 'Popup ( Action box )', 'amber' ),
	'desc'    => '',
	'submenu' => true,
	'fields'  => array(
		array(
			'id'       => 'popup_display',
			'type'     => 'switch',
			'title'    => __('Display', 'amber' ),
			'default'  => false,
		),
		array(
			'id'       => 'popup_logo',
			'url'      => false,
			'type'     => 'media',
			'title'    => __( 'Logo', 'amber' ),
			'default'  => array( 'url' => get_template_directory_uri() . '/inc/assets/images/icons/buytheme_logo.png' ),
			'subtitle' => __( 'Upload your logo file here.', 'amber' ),
		),
		array(
			'id'=>'popup_text',
			'type' => 'textarea',
			'validate' => 'html_custom',
			'title'    => __( 'Description', 'amber' ),
			'default' => 'Get your luxury business<br/> a new sleek look!',
			'allowed_html' => array(
				'a' => array(
					'href' => array(),
					'title' => array()
				),
				'br' => array(),
				'em' => array(),
				'strong' => array()
			)
		),
		array(
			'id'       => 'popup_button_text',
			'type'     => 'text',
			'title'    => __('Button - Text', 'amber' ),
			'default'  => 'Buy now'
		),
		array(
			'id'       => 'popup_button_url',
			'type'     => 'text',
			'title'    => __('Button - Url', 'amber' ),
			'default'  => 'http://themeforest.net/item/amber-luxury-business-wordpress-theme/11078987'
		),
	)
));

Redux::setSection( $opt_name, array(
	'title'   => __( 'Social networks', 'amber' ),
	'icon'    => 'el-icon-address-book',
	'desc'    => '',
	'submenu' => true,
	'fields'  => array(
		array(
			'id'       => 'facebook-square',
			'type'     => 'text',
			'title'    => __('Facebook', 'amber' ),
			'default'  => 'https://www.facebook.com/',
			'desc'     => __( 'Enter your Facebook URL.', 'amber' ),
		),
		array(
			'id'       => 'twitter-square',
			'type'     => 'text',
			'title'    => __('Twitter', 'amber' ),
			'default'  => 'https://www.twitter.com/',
			'desc'     => __( 'Enter your Twitter URL.', 'amber' ),
		),
		array(
			'id'       => 'instagram',
			'type'     => 'text',
			'title'    => __('Instagram', 'amber' ),
			'default'  => 'https://www.instagram.com/',
			'desc'     => __( 'Enter your Instagram URL.', 'amber' ),
		),
		array(
			'id'       => 'google-plus-square',
			'type'     => 'text',
			'title'    => __('Google Plus', 'amber' ),
			'default'  => 'https://plus.google.com/',
			'desc'     => __( 'Enter your Google Plus URL.', 'amber' ),
		),
		array(
			'id'       => 'pinterest-square',
			'type'     => 'text',
			'title'    => __('Pinterest', 'amber' ),
			'default'  => '',
			'desc'     => __( 'Enter your Pinterest URL.', 'amber' ),
		),
		array(
			'id'       => 'youtube-square',
			'type'     => 'text',
			'title'    => __('Youtube', 'amber' ),
			'default'  => '',
			'desc'     => __( 'Enter your Youtube URL.', 'amber' ),
		)
	)
) );

Redux::setSection( $opt_name, array(
	'title'   => __( 'Custom CSS', 'amber' ),
	'icon'    => 'el-icon-css',
	'submenu' => true,
	'fields'  => array(
		array(
			'id'       => 'site_css',
			'type'     => 'ace_editor',
			'title'    => __( 'CSS Code', 'amber' ),
			'subtitle' => __( 'Paste your custom CSS code here.', 'amber' ),
			'mode'     => 'css',
			'default'  => ""
		)
	)
));

/*
 * <--- END SECTIONS
 */

if ( ! function_exists( 'stm_option' ) ) {
	function stm_option( $id, $fallback = false, $key = false ) {
		global $stm_option;
		if ( $fallback == false ) {
			$fallback = '';
		}
		$output = ( isset( $stm_option[ $id ] ) && $stm_option[ $id ] !== '' ) ? $stm_option[ $id ] : $fallback;
		if ( ! empty( $stm_option[ $id ] ) && $key ) {
			$output = $stm_option[ $id ][ $key ];
		}

		return $output;
	}
}