<?php

class STM_VC_Blockquote {

	function __construct() {
		add_action( 'init', array( $this, 'integrateWithVC' ) );
		add_shortcode( 'stm_blockquote', array( $this, 'render' ) );
	}

	public function integrateWithVC() {
		if ( function_exists( 'vc_map' ) ) {
			vc_map( array(
				'name'        => __( 'Blockquote', 'amber' ),
				'base'        => 'stm_blockquote',
				'category'    => __( 'STM', 'amber' ),
				'params'      => array(
					array(
						'type' => 'textfield',
						'class' => '',
						'holder' => 'div',
						'heading' => __( 'Author', 'amber' ),
						'param_name' => 'author'
					),
					array(
						'type' => 'textarea_html',
						'class' => '',
						'heading' => __( 'Text', 'amber' ),
						'param_name' => 'content'
					),
					array(
						'type' => 'colorpicker',
						'heading' => "Author Color",
						'param_name' => 'author_color',
						'value' => "",
						'group' => 'Typography'
					),
					array(
						'type' => 'textfield',
						'heading' => "Author Size",
						'param_name' => 'author_size',
						'value' => "",
						'group' => 'Typography'
					),
					array(
						'type' => 'colorpicker',
						'heading' => "Text Color",
						'param_name' => 'text_color',
						'value' => "",
						'group' => 'Typography'
					),
					array(
						'type' => 'textfield',
						'heading' => "Text Size",
						'param_name' => 'text_size',
						'value' => "",
						'group' => 'Typography'
					),
				)
			) );
		}
	}


	public function render( $atts, $content = null ) {

		$author = $author_color = $author_size = $text_color = $text_size = '';

		extract( shortcode_atts( array(
			'author' => '',
			'author_color' => '',
			'author_size' => '',
			'text_color' => '',
			'text_size' => '',
		), $atts ) );

		$output = '';
		$author_css = '';
		if($author_color != '') {
			$author_css .= 'color:'.$author_color.';';
		}
		if($author_size != '') {
			$author_css .= 'font-size:'.$author_size.';';
		}
		$text_css = '';
		if($text_color != '') {
			$text_css .= 'color:'.$text_color.';';
		}
		if($text_size != '') {
			$text_css .= 'font-size:'.$text_size.';';
		}

		$output .= '<div class="stm-blockquote">';
		$output .= '<div class="stm-blockquote_inner">';
		$output .= wpb_js_remove_wpautop( $content, true );
		if($author_css != '') {
			$output .= '<div class="author" style="'.$author_css.'">'.$author.'</div>';
		} else {
			$output .= '<div class="author">'.$author.'</div>';
		}
		$output .= '</div>';
		$output .= '</div>';

		return $output;
	}

}

if( defined( 'WPB_VC_VERSION' ) ){
	new STM_VC_Blockquote();
}