<?php

class STM_VC_Blog_List {

	function __construct() {
		add_action( 'init', array( $this, 'integrateWithVC' ) );
		add_shortcode( 'stm_blog_list', array( $this, 'render' ) );
	}

	public function integrateWithVC() {
		if ( function_exists( 'vc_map' ) ) {
			vc_map( array(
				'name'        => __( 'Blog List', 'amber' ),
				'base'        => 'stm_blog_list',
				'category'    => __( 'STM', 'amber' ),
				'params'      => array(
                    array(
                        'type'       => 'css_editor',
                        'heading'    => __( 'Css', 'amber' ),
                        'param_name' => 'css'
                    ),
				)
			) );
		}
	}


	public function render( $atts, $content = null ) {
		$css = '';
		extract( shortcode_atts( array(
			'css'        => ''
		), $atts ) );

		$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ) );
		$posts = new WP_Query( array(
			'post_type'      => 'post',
			'posts_per_page' => 3
		) );

		$output = '';

		$classes = array(
			'col-xs-12 col-sm-4 col-md-4 col-lg-4'
		);

		if( $posts->have_posts() ) {
			$output .= '<div class="blog_list_module ' . $css_class . '">';
            $output .= '<ul class="blog_grid">';
			while ( $posts->have_posts() ) {
                $posts->the_post();
                $output .= '<li id="post-' . get_the_ID() . '" class="' . implode( ' ', get_post_class($classes) ) . '">';
                    $output .= '<div class="post-thumbnail">';
                        if( has_post_thumbnail() ) {
                            $output .= '<a href="' . get_permalink() . '">' . get_the_post_thumbnail( get_the_ID(), 'thumb-840x500' ) . '<span class="post-thumbnail_overlay"></span></a>';
                        }
                    $output .= '</div>';
                    $output .= '<div class="post-content clearfix">';
                    $output .= '<h4><a href="' . get_permalink() . '">' . get_the_title() . '</a></h4>';
                    $output .= '<p>' . get_the_excerpt() . '</p>';
                    $output .= '<div class="post-read_more">';
                    $output .= '<a href="' . get_permalink() . '">' . __( 'Learn More', 'amber' ) . '</a>';
                    $output .= '</div>';
                    $output .= '<div class="post-comments_num"><a href="' . get_comments_link() . '"><i class="fa fa-quote-left"></i>' . get_comments_number() . '</a></div>';
                    $output .= '</div>';
					$output .= '<div class="post-separator"><div class="fill-line"></div></div>';
                $output .= '</li>';
			}
			$output .= '</ul>';
			$output .= '</div>';
		}

		wp_reset_query();

		return $output;
	}

}

if( defined( 'WPB_VC_VERSION' ) ){
	new STM_VC_Blog_List();
}