<?php

class STM_VC_Contact_Details {

	function __construct() {
		add_action( 'init', array( $this, 'integrateWithVC' ) );
		add_shortcode( 'stm_contact_details', array( $this, 'render' ) );
	}

	public function integrateWithVC() {
		if ( function_exists( 'vc_map' ) ) {
			vc_map( array(
				'name'        => __( 'Contact Details', 'amber' ),
				'base'        => 'stm_contact_details',
				'category'    => __( 'STM', 'amber' ),
				'params'      => array(
					array(
						'type' => 'textfield',
						'class' => '',
						'holder' => 'div',
						'heading' => __( 'Location', 'amber' ),
						'param_name' => 'title'
					),
					array(
						'type' => 'textarea_html',
						'class' => '',
						'heading' => __( 'Full Address', 'amber' ),
						'param_name' => 'content'
					),
					array(
						'type' => 'textfield',
						'class' => '',
						'heading' => __( 'Phone', 'amber' ),
						'param_name' => 'phone_number'
					),
					array(
						'type' => 'textfield',
						'class' => '',
						'heading' => __( 'E-Mail', 'amber' ),
						'param_name' => 'contact_email'
					),
					array(
						'type' => 'textfield',
						'class' => '',
						'heading' => __( 'Link Text', 'amber' ),
						'param_name' => 'link_text'
					),
					array(
						'type' => 'vc_link',
						'class' => '',
						'heading' => __( 'Link', 'amber' ),
						'param_name' => 'link'
					),
				)
			) );
		}
	}


	public function render( $atts, $content = null ) {

		$title = $phone_number = $contact_email = $link = $link_text = '';

		extract( shortcode_atts( array(
			'title' => '',
			'phone_number' => '',
			'contact_email' => '',
			'link_text' => '',
			'link' => '',
		), $atts ) );

		$output = '';

		$link = vc_build_link( $link );
		$output .= ' <a class="see-map" target="' . $link['target'] . '" href="' . $link['url'] . '">' . $link['title'] . '</a>';

		$output .= '<div class="contact-details">';
		if($title != '') {
		$output .= '<div class="location">'.$title.'</div>';
		}
		if($content != '') {
			$output .= '<div class="full-address">'.wpb_js_remove_wpautop( $content, true ).'</div>';
		}
		if($phone_number != '') {
			$output .= '<div class="phone-number">'.$phone_number.'</div>';
		}
		if($contact_email != '') {
			$output .= '<div class="contact-email"><a href="mailto:'.esc_url($contact_email).'">'.$contact_email.'</a></div>';
		}
		if($link != '' && $link_text != '') {
			$output .= '<div class="see-map"><a class="see-map_link" target="' . $link['target'] . '" href="' . $link['url'] . '">'.$link_text.'</a></div>';
		}
		$output .= '</div>';


		return $output;
	}

}

if( defined( 'WPB_VC_VERSION' ) ){
	new STM_VC_Contact_Details();
}