<?php

class STM_VC_Item_Details {

	function __construct() {
		add_action( 'init', array( $this, 'integrateWithVC' ) );
		add_shortcode( 'stm_item_details', array( $this, 'stm_item_details' ) );
		add_shortcode( 'stm_detail', array( $this, 'stm_detail' ) );
	}

	public function integrateWithVC() {
		if ( function_exists( 'vc_map' ) ) {
			vc_map (
				array(
					"name" => __( "Item Details", 'amber' ),
					"base" => "stm_item_details",
					"class" => "",
					"icon" => "",
					"category" => "STM",
					"as_parent" => array('only' => 'stm_detail'),
					"content_element" => true,
					"show_settings_on_create" => false,
					"is_container" => false,
					"params" => array(
						array(
							"type" => "textfield",
							"class" => "",
							"heading" => __( "Widget Title", 'amber' ),
							"param_name" => "title",
							"value" => "",
						)
					),
					"js_view" => 'VcColumnView'
				)
			);
			vc_map (
				array(
					"name" => __( "Detail", 'amber' ),
					"base" => "stm_detail",
					"class" => "",
					"icon" => "",
					"category" => "STM",
					"as_child" => array('only' => 'stm_item_details'),
					"content_element" => true,
					"params" => array(
						array(
							"type" => "textfield",
							"class" => "",
							"holder" => "div",
							"heading" => __( "Detail Name", 'amber' ),
							"param_name" => "detail_name",
							"value" => "",
						),
						array(
							"type" => "textfield",
							"class" => "",
							"heading" => __( "Detail Value", 'amber' ),
							"param_name" => "detail_value",
							"value" => "",
						)
					),
				)
			);
		}
	}


	public function stm_item_details( $atts, $content = null ) {

		$title = '';

		extract( shortcode_atts( array(
			'title' => '',
		), $atts ) );

		$output = '';
		$output .= '<div class="stm_item-details">';
		$output .= '<div class="stm_item-details_inner">';
		if($title != '') {
		$output .= '<h3>'.$title.'</h3>';
		}
		$output .= '<ul class="details-list">';
		$output .= do_shortcode($content);
		$output .= '</ul>';
		$output .= '</div>';
		$output .= '</div>';


		return $output;
	}

	public function stm_detail( $atts, $content = null ) {

		$detail_name = $detail_value = '';

		extract( shortcode_atts( array(
			'detail_name' => '',
			'detail_value' => '',
		), $atts ) );

		$output = '';

		$output .= '<li class="detail">';
		$output .= '<span class="detail_name">'.$detail_name.'</span>';
		$output .= '<span class="detail_value">'.$detail_value.'</span>';
		$output .= '</li>';

		return $output;
	}

}

if(class_exists('WPBakeryShortCodesContainer'))
{
	class WPBakeryShortCode_stm_item_details extends WPBakeryShortCodesContainer {
	}
	class WPBakeryShortCode_stm_detail extends WPBakeryShortCode {
	}
}

if( defined( 'WPB_VC_VERSION' ) ){
	new STM_VC_Item_Details();
}