<?php

class STM_VC_Item_Features {

	function __construct() {
		add_action( 'init', array( $this, 'integrateWithVC' ) );
		add_shortcode( 'stm_item_features', array( $this, 'render' ) );
	}

	public function integrateWithVC() {
		if ( function_exists( 'vc_map' ) ) {
			vc_map( array(
				'name'        => __( 'Item Features', 'amber' ),
				'base'        => 'stm_item_features',
				'category'    => __( 'STM', 'amber' ),
				'params'      => array(
					array(
						'type' => 'textfield',
						'class' => '',
						'holder' => 'div',
						'heading' => __( 'Widget Title', 'amber' ),
						'param_name' => 'title'
					),
				)
			) );
		}
	}


	public function render( $atts, $content = null ) {

		$title = '';

		$rental_service_features = wp_get_post_terms( get_the_ID(), 'rental_service_features');

		extract( shortcode_atts( array(
			'title' => '',
		), $atts ) );

		$output = '';

		if( !empty($rental_service_features) ){
			
			$output .= '<div class="stm_item-features">';
			$output .= '<div class="stm_item-features_inner">';

			if($title != '') {
				$output .= '<h3>'.$title.'</h3>';
			}

			if($rental_service_features) {

				$output .= '<ul class="item-features_list">';

				$i = 0;

				$count_features = count($rental_service_features);

				if($count_features%2 != 0) {
					$count_features++;
				}

				if($count_features > 5) {
					$count_features = $count_features/2;
				} else {
					$count_features = 9999;
				}

				foreach($rental_service_features as $featured) {
					 if($i == $count_features) {
						$output .= '</ul>';
						$output .= '<ul class="item-features_list">';
					}

					$output .= '<li class="item-feature">' . $featured->name . '</li>';

					 $i++;
				}

				$output .= '</ul>';
			}

			$output .= '</div>';
			$output .= '</div>';
			
		}

		return $output;
	}

}

if( defined( 'WPB_VC_VERSION' ) ){
	new STM_VC_Item_Features();
}