<?php
/**
 * @var $this WPBakeryShortCode_VC_Custom_heading
 */
$output = $text = $google_fonts = $font_container = $el_class = $css = $google_fonts_data = $font_container_data = $heading_text_transform = $sub_title = $stm_st_text_size = $stm_st_text_color = $stm_st_text_align = $stm_separator = $stm_sep_color = $stm_sep_icon_pad = $stm_sep_icon = $stm_sep_icon_size = $stm_title_margin_b = $stm_st_margin_b = $stm_sep_margin_b = '';
extract(shortcode_atts(array(
	'heading_text_transform' => '',
	'stm_title_margin_b' => '',
	'sub_title' => '',
	'stm_st_text_size' => '',
	'stm_st_text_color' => '',
	'stm_st_text_align' => '',
	'stm_st_margin_b' => '',
	'stm_separator' => '',
	'stm_sep_color' => '',
	'stm_sep_icon_pad' => '',
	'stm_sep_icon' => '',
	'stm_sep_icon_size' => '',
	'stm_sep_margin_b' => '',

), $atts));
extract( $this->getAttributes( $atts ) );
extract( $this->getStyles( $el_class, $css, $google_fonts_data, $font_container_data, $atts ) );
$settings = get_option( 'wpb_js_google_fonts_subsets' );
$subsets = '';
if ( is_array( $settings ) && ! empty( $settings ) ) {
	$subsets = '&subset=' . implode( ',', $settings );
}
if ( ! empty( $google_fonts_data ) && isset( $google_fonts_data['values']['font_family'] ) ) {
	wp_enqueue_style( 'vc_google_fonts_' . vc_build_safe_css_class( $google_fonts_data['values']['font_family'] ), '//fonts.googleapis.com/css?family=' . $google_fonts_data['values']['font_family'] . $subsets );
}
$output .= '<div class="' . esc_attr( $css_class ) . '" >';

//STM Title Styles
$style = '';

if($heading_text_transform != '') {
	$styles[] .= 'text-transform:'.$heading_text_transform.'';
}

if($stm_title_margin_b != '') {
	$styles[] .= 'margin-bottom:'.$stm_title_margin_b.'';
}

if ( ! empty( $styles ) ) {
	$style = 'style="' . esc_attr( implode( ';', $styles ) ) . '"';
}

//STM Sub Title Styles
$sub_title_styles = array();
$sub_title_style = '';

if($stm_st_text_size != '') {
	$sub_title_styles[] .= 'font-size:'.$stm_st_text_size.'';
}

if($stm_st_text_color != '') {
	$sub_title_styles[] .= 'color:'.$stm_st_text_color.'';
}

if($stm_st_text_align != '') {
	$sub_title_styles[] .= 'text-align:'.$stm_st_text_align.'';
}

if($stm_st_margin_b != '') {
	$sub_title_styles[] .= 'margin-bottom:'.$stm_st_margin_b.'';
}

if(!empty($sub_title_styles)) {
	$sub_title_style = 'style="' . esc_attr(implode(';', $sub_title_styles)) . '"';
}

// STM Sep Container
$stm_sep_cnt_style = '';
if($stm_sep_margin_b != '') {
	$stm_sep_cnt_style .= 'margin-bottom:'.$stm_sep_margin_b.';';
}

//STM Sep Styles
$stm_sep_style = '';
$stm_sep_styles = array();

if($stm_sep_color != '') {
	$stm_sep_styles[] .= 'background-color:'.$stm_sep_color.'';
}

if(!empty($stm_sep_styles)) {
	$stm_sep_style .= 'style="'. esc_attr(implode(';', $stm_sep_styles)) .'"';
}

//STM Sep Icon
$stm_sep_icon_style = '';
if($stm_sep_icon_size != '') {
	$stm_sep_icon_style .= 'font-size:'.$stm_sep_icon_size.'px;';
}

if($stm_sep_icon_pad != '') {
	$stm_sep_icon_style .= 'padding:0 '.$stm_sep_icon_pad.';';
}

$stm_sep_icon = wp_get_attachment_image_src( $stm_sep_icon, 'full');

if($stm_separator != 'hide' && $stm_separator == 'top') {
	if($stm_sep_cnt_style != '') {
		$output .= '<div class="stm_heading-separator" style="'.$stm_sep_cnt_style.'">';
	} else {
		$output .= '<div class="stm_heading-separator">';
	}
	$output .= '<span class="stm_sep_holder stm_sep_holder_l"><span class="stm_sep_line" '.$stm_sep_style.'></span></span>';
	if($stm_sep_icon[0]) {
		$output .= '<span style="'.$stm_sep_icon_style.'" class="stm_sep_icon_holder"><img src="'.esc_url($stm_sep_icon[0]).'"/></span>';
	}
	$output .= '<span class="stm_sep_holder stm_sep_holder_r"><span class="stm_sep_line" '.$stm_sep_style.'></span></span>';
	$output .= '</div>';
}

$output .= '<' . $font_container_data['values']['tag'] . ' ' . $style . ' >';
$output .= $text;
$output .= '</' . $font_container_data['values']['tag'] . '>';

if($stm_separator != 'hide' && $stm_separator == 'middle') {
	if($stm_sep_cnt_style != '') {
		$output .= '<div class="stm_heading-separator" style="'.$stm_sep_cnt_style.'">';
	} else {
		$output .= '<div class="stm_heading-separator">';
	}
	$output .= '<span class="stm_sep_holder stm_sep_holder_l"><span class="stm_sep_line" '.$stm_sep_style.'></span></span>';
	if($stm_sep_icon[0]) {
		$output .= '<span style="'.$stm_sep_icon_style.'" class="stm_sep_icon_holder"><img src="'.esc_url($stm_sep_icon[0]).'"/></span>';
	}
	$output .= '<span class="stm_sep_holder stm_sep_holder_r"><span class="stm_sep_line" '.$stm_sep_style.'></span></span>';
	$output .= '</div>';
}

if($sub_title != '') {
$output .= '<p '.$sub_title_style.'>'.$sub_title.'</p>';
}

if($stm_separator != 'hide' && $stm_separator == 'bottom') {
	if($stm_sep_cnt_style != '') {
		$output .= '<div class="stm_heading-separator" style="'. esc_attr( $stm_sep_cnt_style ).'">';
	} else {
		$output .= '<div class="stm_heading-separator">';
	}
	$output .= '<span class="stm_sep_holder stm_sep_holder_l"><span class="stm_sep_line" '.$stm_sep_style.'></span></span>';
	if($stm_sep_icon[0]) {
		$output .= '<span style="'. esc_attr( $stm_sep_icon_style ).'" class="stm_sep_icon_holder"><img src="'.esc_url($stm_sep_icon[0]).'"/></span>';
	}
	$output .= '<span class="stm_sep_holder stm_sep_holder_r"><span class="stm_sep_line" '.$stm_sep_style.'></span></span>';
	$output .= '</div>';
}
$output .= '</div>';

echo balanceTags( $output, true );