<?php 
/*
	Template Name: Events
*/
get_header();
get_template_part('parts/page-header');
// Page ID
$page_ID = get_the_ID();

// Page container has
$page_container_has = '';

// Sidebar
$page_sidebar = get_post_meta($page_ID, 'page_sidebar', true);
$sidebar_before = $sidebar_after = $content_before = $content_after = '';

if($page_sidebar == 'hide') {
	$page_container_has .= ' full-width';
}

// Right Sidebar
if ( $page_sidebar == 'right' ) {
	// Content before
	$content_before .= '<div class="row">';
	$content_before .= '<div class="col-lg-9 col-md-9 col-sm-12 col-xs-12">';

	//Content after
	$content_after .= '</div>';

	// Sidebar after
	$sidebar_before .= '<div class="col-lg-3 col-md-3 hidden-sm hidden-xs">';

	// Sidebar before
	$sidebar_after .= '</div>';
	$sidebar_after .= '</div>';
}

if( $page_sidebar == 'left' ) {
	// Content before
	$content_before .= '<div class="row">';
	$content_before .= '<div class="col-lg-9 col-md-9 col-lg-push-3 col-md-push-3 col-sm-12 col-xs-12">';

	//Content after
	$content_after .= '</div>';

	// Sidebar after
	$sidebar_before .= '<div class="col-lg-3 col-lg-pull-9 col-md-3 col-md-pull-9 hidden-sm hidden-xs">';

	// Sidebar before
	$sidebar_after .= '</div>';
	$sidebar_after .= '</div>';
}

?>
<div class="container events-list-container<?php echo esc_attr( $page_container_has ); ?>">
	<div class="container-inner">
		<?php echo $content_before; ?>
			<div class="content">
				<div class="events-list">
					<?php
						$posts = get_posts( array( 'post_type' => 'event' ) );
						if( $posts ) {
							foreach ( $posts as $post ) {
								get_template_part('events/content', 'event');
							}
						}
					?>
				</div>
			</div>
		<?php echo $content_after; ?>
		<?php echo $sidebar_before; ?>
			<?php
				if($page_sidebar == 'left' || $page_sidebar == 'right') {
					get_sidebar('event');
				}
			?>
		<?php echo $sidebar_after; ?>
	</div>
</div>
<?php wp_reset_query(); ?>
<?php get_footer(); ?>