<?php
	$post_id = get_the_ID();

	$post_title_meta = get_post_meta( $post_id, 'post_header_meta', true );
	$post_title_display = get_post_meta( $post_id, 'post_title_display', true );
	$post_title_bg_type = get_post_meta( $post_id, 'post_title_bg_type', true );
	$post_title_bg_color = get_post_meta( $post_id, 'post_title_bg_color', true );
	$post_title_align = get_post_meta( $post_id, 'post_header_align', true );

	$post_title_bg = get_post_meta( $post_id, 'post_title_bg', true );
	if( $post_title_bg ) {
		$post_title_bg = wp_get_attachment_image_src($post_title_bg, 'full');
	}

	$post_title_icon = get_post_meta( $post_id, 'post_title_icon', true );
	if($post_title_icon != '') {
		$post_title_icon = wp_get_attachment_image( $post_title_icon, 'full' );
	}

	$post_description = get_post_meta( $post_id, 'post_description', true );
	$post_description_color = get_post_meta( $post_id, 'post_description_color', true );

	$post_title_color = get_post_meta( $post_id, 'post_title_color', true );
	$post_title_transform = get_post_meta( $post_id, 'post_title_transform', true );

	$post_header_styles = array();
	$post_header_style = '';
	$post_title_styles = array();
	$post_title_style = '';

	// Post header styles
	if( $post_title_bg != '' ) {
		if( $post_title_bg_type == 'image' ) {
			$post_header_bg_src = $post_title_bg[0];
			$post_header_styles[] = 'background-image:url(' . esc_url( $post_header_bg_src ) . ')';
		} else {
			$post_header_styles[] = 'background-image:none';
		}
	}

	if(	$post_title_bg_color != '' ) {
		$post_header_styles[] = 'background-color:' . $post_title_bg_color;
	}

	if(	$post_title_align != '' ) {
		$post_header_styles[] = 'text-align:' . $post_title_align;
	}

	if( !empty( $post_header_styles ) ) {
		$post_header_style = ' style="' . esc_attr( implode( ';' , $post_header_styles ) ) . '"';
	}

	if( !empty( $post_title_styles ) ) {
		$post_title_style = ' style="' . esc_attr( implode(';' , $post_title_styles) ) . '"';
	}


	// Post title styles
	if( $post_title_color != '' ) {
		$post_title_styles[] = 'color:' . $post_title_color;
	}
	if( $post_title_transform != '' ) {
		$post_title_styles[] = 'text-transform:' . $post_title_transform;
	}

	if( !empty( $post_title_styles ) ) {
		$post_title_style = ' style="' . esc_attr( implode(';' , $post_title_styles) ) . '"';
	}

	// Page description styles
	if( $post_description_color != '' ) {
		$post_description_styles[] = 'color:' . $post_description_color;
	}

	if( !empty( $post_description_styles ) ) {
		$post_description_style = ' style="' . esc_attr( implode(';' , $post_description_styles) ) . '"';
	}

?>
<div class="page-header"<?php echo $post_header_style; ?>>
	<div class="container">
		<?php
			if ( comments_open() ) {
				$num_comments = get_comments_number();

				if ( $num_comments == 0 ) {
					$comments = __( 'No Comments', 'amber' );
				} elseif ( $num_comments > 1 ) {
					$comments = $num_comments . ' ' . __('Comments', 'amber' );
				} else {
					$comments = __( '1 Comment', 'amber' );
				}
			} else {
				$comments =  __( 'Comments closed.', 'amber' );
			}
		?>
		<div class="page-header_wrap">
			<div class="page-header_in">
			<?php if($post_title_icon != '') : ?>
				<div class="page-header_icon"><?php echo balanceTags( $post_title_icon, true ); ?></div>
			<?php endif; ?>
				<?php
					if( $post_title_display != 'hide' ) {
						the_title('<h2 class="page-title"' . $post_title_style . '>', '</h2>');
					}
				?>

			<?php if( $post_description != '') : ?>
				<p<?php echo $post_description_style; ?>><?php echo balanceTags( $post_description, true ); ?></p>
			<?php endif; ?>

				<?php if( $post_title_meta != 'hide' ) : ?>
					<div class="page-header_bottom">
						<?php if( is_single() ) { ?>
							<ul class="page-meta_list">
								<?php if( get_the_author() ) { ?>
									<li class="page-meta_author"><i class="fa fa-user"></i><?php _e('by', 'amber' ) ?> <?php echo get_the_author(); ?></li>
								<?php } ?>
								<li class="page-meta_published"><i class="fa fa-clock-o"></i><?php echo get_the_date(); ?></li>
								<li class="page-meta_comments"><i class="fa fa-quote-left"></i><?php echo esc_html( $comments ); ?></li>
							</ul>
						<?php } ?>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>