<script src="https://maps.googleapis.com/maps/api/js?v=3.exp"></script>

<script>
	function initialize() {
	  var lat = document.getElementById('event-map').getAttribute('data-lat');
	  var lng = document.getElementById('event-map').getAttribute('data-lng');
	  var zoomVal = document.getElementById('event-map').getAttribute('data-zoom');
	  zoomVal = parseInt(zoomVal);
	  var mapOptions = {
	    zoom: zoomVal,
	    center: new google.maps.LatLng(lat, lng)
	  };

	  var map = new google.maps.Map(document.getElementById('event-map'),
	      mapOptions);

	  var marker = new google.maps.Marker({
	    position: map.getCenter(),
	    map: map,
	    title: 'Click to zoom'
	  });

	  google.maps.event.addListener(map, 'center_changed', function() {
	    // 3 seconds after the center of the map has changed, pan back to the
	    // marker.
	    window.setTimeout(function() {
	      map.panTo(marker.getPosition());
	    }, 3000);
	  });

	  google.maps.event.addListener(marker, 'click', function() {
	    map.setZoom(8);
	    map.setCenter(marker.getPosition());
	  });
	}

	google.maps.event.addDomListener(window, 'load', initialize);
</script>
