<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> role="article">
	<?php
	$event_map_lat  = get_post_meta( get_the_ID(), 'event_map_lat', true );
	$event_map_lng  = get_post_meta( get_the_ID(), 'event_map_lng', true );
	if(get_post_meta( get_the_ID(), 'event_map_zoom', true ) != '') {
		$event_map_zoom = get_post_meta( get_the_ID(), 'event_map_zoom', true );
	} else {
		$event_map_zoom = 18;
	}
	?>
	<?php get_template_part('events/event', 'map'); ?>


	<?php
	$event_date_start = get_post_meta( get_the_ID(), 'event_date_start', true );
	$event_place = get_post_meta( get_the_ID(), 'event_place', true );
	$event_subject = get_post_meta( get_the_ID(), 'event_subject', true );
	$event_category = get_the_terms( get_the_ID(), 'event_categories' );
	$event_status = get_post_meta( get_the_ID(), 'event_status', true );
	$event_members = get_post_meta( get_the_ID(), 'event_members', true );
	if(is_array($event_category) && !empty($event_category)) {
		foreach ($event_category as $key => $value) {
			$event_category_name = $value->name;
		}
	}
	?>
	<div class="event-details">
		<div class="event-details_head">
			<div class="event-map_overlay"></div>
			<div class="event-map" id="event-map" data-lat="<?php esc_attr_e( $event_map_lat ); ?>" data-lng="<?php esc_attr_e( $event_map_lng ); ?>" data-zoom="<?php esc_attr_e( $event_map_zoom ); ?>"></div>
		</div>
		<div class="event-details_body">
			<div class="event-details_list">
				<table>
					<tbody>
					<?php if($event_date_start != ''): ?>
					<tr>
						<td class="event-details_icon"><i class="fa fa-clock-o"></i></td>
						<td class="event-details_title"><?php _e('When:', 'amber' ); ?></td>
						<td class="event-details_text"><?php esc_html_e( $event_date_start, 'amber' ); ?></td>
					</tr>
					<?php endif; ?>
					<?php if($event_place != ''): ?>
					<tr>
						<td class="event-details_icon"><i class="fa fa-map-marker"></i></td>
						<td class="event-details_title"><?php _e('Where:', 'amber'); ?></td>
						<td class="event-details_text"><?php esc_html_e( $event_place, 'amber' ); ?></td>
					</tr>
					<?php endif; ?>
					<?php if($event_subject != ''): ?>
					<tr>
						<td class="event-details_icon"><i class="fa fa-coffee"></i></td>
						<td class="event-details_title"><?php _e('Subject:', 'amber'); ?></td>
						<td class="event-details_text"><?php esc_html_e( $event_subject, 'amber' ); ?></td>
					</tr>
					<?php endif; ?>
					<?php if(isset($event_category_name)): ?>
					<tr>
						<td class="event-details_icon"><i class="fa fa-list"></i></td>
						<td class="event-details_title"><?php _e('Category:', 'amber'); ?></td>
						<td class="event-details_text">
							<?php
							if(isset($event_category_name)) {
								esc_html_e( $event_category_name, 'amber' );
							}
							?>
						</td>
					</tr>
					<?php endif; ?>
					</tbody>
				</table>
			</div>
			<div class="event-actions">
				<a href="#" class="button_event event-add <?php echo esc_attr($event_status); ?>" event-id="<?php echo get_the_ID(); ?>"><?php _e('I am going', 'amber' );?></a>
				<?php if(!empty($event_members)): ?>
					<span class="event-members <?php if($event_members){ esc_attr_e( 'is-members' ); } ?>"><?php esc_html_e( $event_members, 'amber' ); ?></span>
				<?php endif; ?>
				<?php
				if($event_status == 'full_booked') {
					$event_status_text = 'Full booked';
				} else {
					$event_status_text = $event_status;
				}
				?>
				<div class="button_event event-status <?php echo esc_attr($event_status); ?>"><?php esc_html_e( $event_status_text, 'amber' ); ?></div>
			</div>
		</div>
	</div>
	<div class="entry-content"><?php the_content(); ?></div><!-- end entry content -->
	<?php if(has_tag()): ?>
		<div class="entry-footer">
			<?php
			$tags_list = get_the_tag_list( '', '' );
			if ( $tags_list ) {
				echo '<div class="tags-links">'. $tags_list .'</div>';
			}
			?>
			<a class="post-start" href="#main-content"><?php _e( 'Back to top', 'amber' ); ?></a>
		</div><!-- end entry footer -->
	<?php endif; ?>

</article><!-- end post -->