<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta name="google-site-verification" content="ZcV3JQvh1t4kjccqgAeoVauh2HRvX93CU8okzMCYVk0" />
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<meta name="google-site-verification" content="ZcV3JQvh1t4kjccqgAeoVauh2HRvX93CU8okzMCYVk0" />

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> id="site-start">
<div id="page" class="hfeed site">
	<header id="masthead" class="site-header" role="banner">
		<?php
			$top_bar_enable = true;
			if( $top_menu_state = get_theme_mod('top_menu_state') ) {
				if( $top_menu_state != 'hide' ) {
					$top_bar_enable = false;
				}
			} else {
				$top_bar_enable = stm_option('top_bar_enable');
			}
			if( $top_bar_enable ) {
				get_template_part('parts/top', 'menu');
			}
		?>
		<div class="collapse navbar-collapse search-responsive-collapse">
            <div class="container">
                <form class="navbar-form" role="search" method="get" action="<?php echo home_url( '/' ); ?>">
                    <div class="input-group">
                        <span class="input-group-btn">
                            <button class="btn btn-search" type="button"><span class="glyphicon glyphicon-search"></span></button>
                          </span>
                        <input name="s" type="text" class="search-query form-control" autocomplete="off" placeholder="<?php _e( 'Search', 'amber' ); ?>" />
                    </div>
                </form>
                <button type="button" class="navbar-toggle close-search" data-toggle="collapse" data-target=".search-responsive-collapse">
                    <span class="glyphicon glyphicon-remove"></span>
                </button>
            </div>
		</div>
		<div class="main-navbar navbar navbar-default">
			<div class="container">
				<div class="navbar-header">
					<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-responsive-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</button>
					<?php if(get_theme_mod('header_logo')): ?>
						<a class="navbar-brand has-logo" title="<?php bloginfo('name'); ?>" href="<?php echo home_url(); ?>"><img src="<?php echo esc_url(get_theme_mod('header_logo')); ?>" alt="<?php bloginfo('name'); ?>" /></a>
					<?php else: ?>
						<a class="navbar-brand no-logo" title="<?php echo get_bloginfo('description'); ?>" href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a>
					<?php endif; ?>
					<button type="button" class="navbar-toggle search-toggle" data-toggle="collapse" data-target=".search-responsive-collapse">
						<span class="glyphicon glyphicon-search"></span>
					</button>
				</div>
				<div class="collapse navbar-collapse navbar-responsive-collapse">
					<?php
						wp_nav_menu(
							array(
								'menu' => 'main_nav',
								'menu_class' => 'nav navbar-nav  navbar-right',
								'theme_location' => 'primary',
								'container' => 'false',
                                'fallback_cb' => false,
                                'walker' => new Bootstrap_walker()
							)
						);
					?>
					<?php
						$top_bar_login_enable = true;
						if( $top_menu_login_state = get_theme_mod('top_menu_login_state') ) {
							if( $top_menu_login_state == 'hide' ) {
								$top_bar_login_enable = false;
							}
						} else {
							$top_bar_login_enable = stm_option('top_bar_login_enable');
						}
						if( $top_bar_login_enable ) :
					?>
						<div class="user-navbar">
							<ul class="user-menu">
								<?php if(!is_user_logged_in()) : ?>
									<li class="user-menu-item"><a class="login-button" href="<?php echo esc_url( wp_login_url( home_url() ) ); ?> "><?php _e( 'Log in', 'amber' ); ?></a></li>
									<li class="user-menu-item"><a class="singup-button" href="<?php echo esc_url( wp_registration_url() ); ?>"><?php _e( 'Sign up', 'amber' ); ?></a></li>
								<?php else : ?>
									<li class="user-menu-item"><a href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>" title="<?php _e('Account', 'amber'); ?>"><i class="fa fa-user"></i><?php _e('Account', 'amber'); ?></a></li>
									<li class="user-menu-item"><a href="<?php echo esc_url( wp_logout_url(home_url()) ); ?>"><i class="fa fa-sign-out"></i><?php _e( 'Logout', 'amber' ); ?></a></li>
								<?php endif; ?>
							</ul>
						</div>
					<?php endif; ?>
				</div>
			</div> <!-- end .container -->
		</div> <!-- end .main-navbar -->
	</header><!-- #masthead -->
