/**
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {
// Site title and description.
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title a' ).text( to );
		} );
	} );
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).text( to );
		} );
	} );

// Main Menu
    // Main Menu - Logo
    wp.customize( 'header_logo', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.navbar-brand img').attr('src', to);
            }
        } );
    } );
    // Main Menu - BG Color
    wp.customize( 'main_menu_bg_color', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.main-navbar').css({
                    'background-color': to
                });
            }
        } );
    } );
    // Main Menu - Text Transform
    wp.customize( 'main_menu_link_transform', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.main-navbar .navbar-nav > li > a').css({
                    'text-transform' : to
                });
            }
        } );
    } );
    // Main Menu - Font Style
    wp.customize( 'main_menu_link_style', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.main-navbar .navbar-nav > li > a').css({
                    'font-style' : to
                });
            }
        } );
    } );
    // Main Menu - Font Size
    wp.customize( 'main_menu_link_size', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.main-navbar .navbar-nav > li > a').css({
                    'font-size' : to
                });
            }
        } );
    } );
    // Main Menu - Color
    wp.customize( 'main_menu_link_color', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.main-navbar .navbar-nav > li > a').css({
                    'color' : to
                });
            }
        } );
    } );

// Top Menu
    // Top Menu - BG Color
    wp.customize( 'top_menu_bg_color', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.top-navbar').css({
                    'background-color' : to
                });
            }
        } );
    } );

    // Top Menu - Text Transform
    wp.customize( 'top_menu_link_transform', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.top-navbar .user-menu-item a').css({
                    'text-transform' : to
                });
            }
        } );
    } );
    // Top Menu - Font Style
    wp.customize( 'top_menu_link_style', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.top-navbar .user-menu-item a').css({
                    'font-style' : to
                });
            }
        } );
    } );
    // Top Menu - Font Size
    wp.customize( 'top_menu_link_size', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.top-navbar .user-menu-item a').css({
                    'font-size' : to
                });
            }
        } );
    } );
    // Top Menu - Color
    wp.customize( 'top_menu_link_color', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.top-navbar .user-menu-item a').css({
                    'color' : to
                });
            }
        } );
    } );
    // Top Menu Search Form - Font Size
    wp.customize( 'top_menu_search_fontsize', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.top-navbar .navbar-form .form-control').css({
                    'font-size' : to
                });
            }
        } );
    } );
    // Top Menu Search Form - Text Color
    wp.customize( 'top_menu_search_textcolor', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.top-navbar .navbar-form .form-control').css({
                    'color' : to
                });
            }
        } );
    } );
    // Top Menu Search Form - Text Transform
    wp.customize( 'top_menu_search_transform', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.top-navbar .navbar-form .form-control').css({
                    'text-transform' : to
                });
            }
        } );
    } );
    // Top Menu Search Form - Font Style
    wp.customize( 'top_menu_search_textstyle', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.top-navbar .navbar-form .form-control').css({
                    'font-style' : to
                });
            }
        } );
    } );
    // Top Menu Search Form - Border Color
    wp.customize( 'top_menu_border_color', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.top-navbar .navbar-form .form-control').css({
                    'border-color' : to
                });
            }
        } );
    } );
    // Top Menu Search Form - Icon Color
    wp.customize( 'top_menu_icon_color', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.top-navbar .navbar-form .form-control-feedback').css({
                    'color' : to
                });
            }
        } );
    } );

// Dropdown
    // Dropdown - BG Color
    wp.customize( 'dropdown_bg_color', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.main-navbar .dropdown-menu').css({
                    'background-color' : to
                });
            }
        } );
    } );
    // Dropdown - Font Size
    wp.customize( 'dropdown_font_size', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.main-navbar .dropdown-menu a').css({
                    'font-size' : to
                });
            }
        } );
    } );
    // Dropdown - Link Color
    wp.customize( 'dropdown_link_color', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.main-navbar .dropdown-menu a').css({
                    'color' : to
                });
            }
        } );
    } );
    //Dropdown - Link Hover Color
    wp.customize( 'dropdown_link_color_hover', function ( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.main-navbar .dropdown-menu a').hover(function () {
                    $(this).css({
                        'color': to
                    });
                }), function() {

                };
            }
        });
    });
    // Dropdown - Font Style
    wp.customize( 'dropdown_font_style', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.main-navbar .dropdown-menu a').css({
                    'font-style' : to
                });
            }
        } );
    } );
    // Dropdown - Text Transform
    wp.customize( 'dropdown_text_transform', function( value ) {
        value.bind( function( to ) {
            if(to) {
                $('.main-navbar .dropdown-menu a').css({
                    'text-transform' : to
                });
            }
        } );
    } );
} )( jQuery );
