<?php

require_once dirname( __FILE__ ) . '/tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'stm_require_plugins' );

function stm_require_plugins() {
	$plugins_path = get_template_directory() . '/inc/tgm/plugins';
	$plugins = array(
		array(
			'name'               => 'STM Post Type',
			'slug'               => 'stm-post-type',
			'source'             => $plugins_path . '/stm-post-type.zip',
			'version'            => '2.1',
			'required'           => true,
			'force_activation'   => true,
            'force_deactivation' => true,
		),
		array(
			'name'               => 'WPBakery Visual Composer',
			'slug'               => 'js_composer',
			'source'             => $plugins_path . '/js_composer.zip',
			'required'           => true,
			'external_url'       => 'http://vc.wpbakery.com',
			'version'			 => '4.11.2.1'
		),
		array(
			'name'               => 'Ultimate Addons for Visual Composer',
			'slug'               => 'Ultimate_VC_Addons',
			'source'             => $plugins_path . '/Ultimate_VC_Addons.zip',
			'required'           => true,
			'external_url'       => 'https://brainstormforce.com/demos/ultimate/',
			'version'			 => '3.16.0.1'
		),
		array(
			'name'               => 'LayerSlider WP',
			'slug'               => 'LayerSlider',
			'source'             => $plugins_path . '/LayerSlider.zip',
			'required'           => false,
			'external_url'       => 'http://codecanyon.net/user/kreatura/',
			'version'			 => '5.6.5'
		),
		array(
			'name'      => 'WooCommerce',
			'slug'      => 'woocommerce',
			'required'  => false
		),
		array(
			'name'      => 'Contact Form 7',
			'slug'      => 'contact-form-7',
			'required'  => false
		),
	);
	
	tgmpa( $plugins, array( 'is_automatic' => true ) );

}