<?php

class STM_VC_Gallery {

	function __construct() {
		add_action( 'init', array( $this, 'integrateWithVC' ) );
		add_shortcode( 'stm_gallery', array( $this, 'render' ) );
	}

	public function integrateWithVC() {
		if ( function_exists( 'vc_map' ) ) {
			vc_map( array(
				'name'        => __( 'Gallery', 'amber' ),
				'base'        => 'stm_gallery',
				'category'    => __( 'STM', 'amber' ),
				'params'      => array(
					array(
						'type' => 'attach_images',
						'class' => '',
						'heading' => __( 'Upload Images', 'amber' ),
						'param_name' => 'images'
					),
				)
			) );
		}
	}


	public function render( $atts, $content = null ) {

		$images = $view = $size = '';

		extract( shortcode_atts( array(
			'images' => '',
		), $atts ) );

		$images = explode( ',', $images );

		$output = '';
		$output .= '<div class="stm-gallery js-carousel-single">';
		foreach($images as $image_id) {
			$output .= wp_get_attachment_image($image_id, 'full');
		}
		$output .= '</div>';

		return $output;
	}

}

if( defined( 'WPB_VC_VERSION' ) ){
	new STM_VC_Gallery();
}