<?php

class STM_VC_Contact {

	function __construct() {
		add_action( 'init', array( $this, 'integrateWithVC' ) );
		add_shortcode( 'stm_contact', array( $this, 'render' ) );
	}

	public function integrateWithVC() {
		if ( function_exists( 'vc_map' ) ) {

			$cf7 = get_posts( 'post_type="wpcf7_contact_form"' );

			$contact_forms = array();
			if ( $cf7 ) {
				foreach ( $cf7 as $cform ) {
					$contact_forms[ $cform->post_title ] = $cform->ID;
				}
			} else {
				$contact_forms[ __( 'No contact forms found', 'js_composer' ) ] = 0;
			}

			vc_map( array(
				'name'        => __( 'Contact', 'amber' ),
				'base'        => 'stm_contact',
				'category'    => __( 'STM', 'amber' ),
				'params'      => array(
					array(
						'type' => 'textfield',
						'class' => '',
						'holder' => 'div',
						'heading' => __( 'Widget Title', 'amber' ),
						'param_name' => 'title'
					),
					array(
						'type' => 'dropdown',
						'heading' => __( 'Select contact form', 'amber' ),
						'param_name' => 'form_id',
						'value' => $contact_forms,
					),
					array(
						'type' => 'textfield',
						'class' => '',
						'heading' => __( 'Callback button - Text', 'amber' ),
						'param_name' => 'callback_button_text'
					),
					array(
						'type' => 'textfield',
						'class' => '',
						'heading' => __( 'Text', 'amber' ),
						'description' => __( 'Text between button and phone', 'amber' ),
						'param_name' => 'text'
					),
					array(
						'type' => 'textarea',
						'class' => '',
						'heading' => __( 'Phone - Number', 'amber' ),
						'param_name' => 'phone_number'
					),
				)
			) );
		}
	}

	public function render( $atts, $content = null ) {

		$form_id = $phone_number = $text = $callback_button_text = '';

		extract( shortcode_atts( array(
			'phone_number' => '',
			'form_id' => '',
			'text' => '',
			'callback_button_text' => '',
		), $atts ) );

		$output = '';
		$output .= '<div class="stm-contact">';
		$output .= '<div class="stm-contact_inner">';
		if($callback_button_text && $form_id != '') {
		$output .= '<div class="stm-contact-callback_wrap"><a class="stm-contact_callback js-fancybox_form" href="#stm-callback_form">'.$callback_button_text.'</a></div>';
		}
		if($text != '') {
			$output .= '<span class="stm-contact_text">'.$text.'</span>';
		}
		if($phone_number != '') {
		$output .= '<span class="stm-contact_phone">'.$phone_number.'</span>';
		}

		$output .= '</div>';

		if($callback_button_text && $form_id != '') {
			$output .= '<div class="stm-contact_form" id="stm-callback_form">';
			$output .= '<h3>'.__( 'Request Callback', 'amber' ).'</h3>';
			$output .= do_shortcode('[contact-form-7 id="'.$form_id.'"]');
			$output .= '</div>';
		}
		$output .= '</div>';

		return $output;
	}

}

if( defined( 'WPB_VC_VERSION' ) ){
	new STM_VC_Contact();
}