<?php
/*
 *  CUSTOM SHORTCODES
 *
 */
 
add_action( 'vc_before_init', 'stm_vc_set_as_theme' );

if( ! function_exists( 'stm_vc_set_as_theme' ) ){
	function stm_vc_set_as_theme() {
		vc_set_as_theme( true );
	}
}

if( function_exists( 'vc_set_default_editor_post_types' ) ){
	vc_set_default_editor_post_types( array( 'page', 'post', 'rental_service', 'event' ) );
}

require_once (get_template_directory() . '/inc/visual-composer/custom-shortcodes/info_box.php');
require_once (get_template_directory() . '/inc/visual-composer/custom-shortcodes/blog_list.php');
require_once (get_template_directory() . '/inc/visual-composer/custom-shortcodes/staff_member.php');
require_once (get_template_directory() . '/inc/visual-composer/custom-shortcodes/testimonial.php');
require_once (get_template_directory() . '/inc/visual-composer/custom-shortcodes/rental_services.php');
require_once (get_template_directory() . '/inc/visual-composer/custom-shortcodes/contact_details.php');
require_once (get_template_directory() . '/inc/visual-composer/custom-shortcodes/blockquote.php');
require_once (get_template_directory() . '/inc/visual-composer/custom-shortcodes/gallery.php');
require_once (get_template_directory() . '/inc/visual-composer/custom-shortcodes/item-details.php');
require_once (get_template_directory() . '/inc/visual-composer/custom-shortcodes/item_features.php');
require_once (get_template_directory() . '/inc/visual-composer/custom-shortcodes/rental_service_contact.php');
require_once (get_template_directory() . '/inc/visual-composer/custom-shortcodes/separator.php');

/*
 *  CUSTOM PARAMS
 *
 */

/* vc_text_separator */
$attributes = array(
	array(
		'type' => 'dropdown',
		'heading' => "Tag",
		'param_name' => 'stm_title_tag',
		'value' => array( "h1", "h2", "h3", "h4", "h5", "h6" ),
		'group' => 'Typography'
	),
	array(
		'type' => 'colorpicker',
		'heading' => "Color",
		'param_name' => 'stm_title_color',
		'value' => "",
		'group' => 'Typography'
	),
	array(
		'type' => 'dropdown',
		'heading' => "Weight",
		'param_name' => 'stm_title_weight',
		'value' => array(
			__( "Thin", 'amber' )      => 100,
			__( "Light", 'amber' )     => 300,
			__( "Normal", 'amber' )    => 400,
			__( "Medium", 'amber' )    => 500,
			__( "Semi-bold", 'amber' ) => 600,
			__( "Bold", 'amber' )      => 700,
			__( "Black", 'amber' )     => 900,
		),
		'group' => 'Typography'
	),
	array(
		'type' => 'textfield',
		'heading' => "Size",
		'param_name' => 'stm_title_size',
		'value' => "",
		'group' => 'Typography'
	),
	array(
		'type' => 'textfield',
		'heading' => "Padding Right/Left",
		'param_name' => 'stm_padding_rl',
		'value' => "",
		'group' => 'Typography'
	),
);
vc_add_params( 'vc_text_separator', $attributes );

/* vc_cta_button */
$attributes = array(
	array(
		'type' => 'dropdown',
		'heading' => "Styles",
		'param_name' => 'stm_cta_style',
		'value' => array(
			__( "Default", 'amber' )  => '',
			__( "Style - 1", 'amber' ) => ' style-1',
			__( "Style - 2", 'amber' ) => ' style-2',
		),
		'group' => 'STM'
	),
	array(
		'type' => 'colorpicker',
		'heading' => "Text Color",
		'param_name' => 'stm_cta_text_color',
		'value' => "",
		'group' => 'STM'
	),
	array(
		'type' => 'textfield',
		'heading' => "Text Size",
		'param_name' => 'stm_cta_text_size',
		'value' => "",
		'group' => 'STM'
	),
	array(
		'type' => 'textfield',
		'heading' => "Button Size",
		'param_name' => 'stm_cta_button_size',
		'value' => "",
		'group' => 'STM'
	),
	array(
		'type' => 'textfield',
		'heading' => "Button Line Height",
		'param_name' => 'stm_cta_button_lh',
		'value' => "",
		'group' => 'STM'
	),
	array(
		'type' => 'colorpicker',
		'heading' => "Button - Border Color",
		'param_name' => 'stm_cta_btn_border_color',
		'value' => "",
		'group' => 'STM'
	),
	array(
		'type' => 'colorpicker',
		'heading' => "Button - Text Color",
		'param_name' => 'stm_cta_btn_text_color',
		'value' => "",
		'group' => 'STM'
	),
);
vc_add_params( 'vc_cta_button', $attributes );

/* vc_row */
$attributes = array(

	array(
		'type' => 'textfield',
		'heading' => "Row ID",
		'param_name' => 'row_id',
		'value' => "",
		'group' => 'STM'
	),

);
vc_add_params( 'vc_row', $attributes );

/* vc_single_image */
$attributes = array(

	array(
		'type' => 'dropdown',
		'heading' => "Styles",
		'param_name' => 'stm_single_image_style',
		'value' => array(
			__( "Default", 'amber' )  => '',
			__( "Style - 1", 'amber' ) => ' style-1',
		),
		'group' => 'STM'
	),

);
vc_add_params( 'vc_single_image', $attributes );

/* vc_column_text */
$attributes = array(

	array(
		'type' => 'dropdown',
		'heading' => "Styles",
		'param_name' => 'stm_styles',
		'value' => array(
			__( "Default", 'amber' )  => '',
			__( "Style - Italic", 'amber' ) => ' style-italic',
			__( "Drop Caps", 'amber' ) => ' drop-caps content-style',
			__( "Drop Caps - Circle", 'amber' ) => ' drop-caps_circle content-style',
		),
		'group' => 'STM'
	),

);
vc_add_params( 'vc_column_text', $attributes );

/* vc_custom_heading */
$attributes = array(
	array(
		'type' => 'dropdown',
		'heading' => "Title - Text Transform",
		'param_name' => 'heading_text_transform',
		'value' => array(
			__( "Normal", 'amber' )  => '',
			__( "Uppercase", 'amber' ) => 'uppercase',
		),
		'group' => 'STM'
	),
	array(
		'type' => 'textfield',
		'heading' => "Title - Margin Bottom",
		'param_name' => 'stm_title_margin_b',
		'group' => 'STM'
	),
	array(
		'type' => 'textarea',
		'heading' => "Sub Title",
		'param_name' => 'sub_title',
		'group' => 'STM'
	),
	array(
		'type' => 'dropdown',
		'heading' => "Sub Title - Text Align",
		'param_name' => 'stm_st_text_align',
		'value' => array(
			__( "Left", 'amber' )  => '',
			__( "Right", 'amber' ) => 'right',
			__( "Center", 'amber' ) => 'center',
		),
		'group' => 'STM'
	),
	array(
		'type' => 'colorpicker',
		'heading' => "Sub Title - Text Color",
		'param_name' => 'stm_st_text_color',
		'value' => "",
		'group' => 'STM'
	),
	array(
		'type' => 'textfield',
		'heading' => "Sub Title - Text Size",
		'param_name' => 'stm_st_text_size',
		'value' => "",
		'group' => 'STM'
	),
	array(
		'type' => 'textfield',
		'heading' => "Sub Title - Margin Bottom",
		'param_name' => 'stm_st_margin_b',
		'group' => 'STM'
	),
	array(
		'type' => 'dropdown',
		'heading' => "Separator",
		'param_name' => 'stm_separator',
		'value' => array(
			__( "Hide", 'amber' )  => 'hide',
			__( "Top", 'amber' ) => 'top',
			__( "Bottom", 'amber' ) => 'bottom',
			__( "Middle", 'amber' ) => 'middle',
		),
		'group' => 'STM'
	),
	array(
		'type' => 'colorpicker',
		'heading' => "Separator - Color",
		'param_name' => 'stm_sep_color',
		'value' => "",
		'group' => 'STM'
	),
	array(
		"type" => "attach_image",
		"class" => "",
		"heading" => __("Separator - Icon:", 'amber' ),
		"param_name" => "stm_sep_icon",
		"value" => "",
		'group' => 'STM',
	),
	array(
		"type" => "number",
		"class" => "",
		"heading" => __("Icon - Size", 'amber' ),
		"param_name" => "stm_sep_icon_size",
		"value" => 30,
		"min" => 16,
		"max" => 512,
		"suffix" => "px",
		'group' => 'STM',
	),
	array(
		'type' => 'textfield',
		'heading' => "Icon - Padding(Left/Right)",
		'param_name' => 'stm_sep_icon_pad',
		'value' => "",
		'group' => 'STM'
	),
	array(
		'type' => 'textfield',
		'heading' => "Separator - Margin Bottom",
		'param_name' => 'stm_sep_margin_b',
		'group' => 'STM'
	),

);
vc_add_params( 'vc_custom_heading', $attributes );

/* vc_column */
$attributes = array(

	array(
		'type' => 'dropdown',
		'heading' => "Styles",
		'param_name' => 'stm_styles',
		'value' => array(
			__( "Default", 'amber' )  => '',
			__( "Style-1", 'amber' ) => 'style-1 ',
			__( "Wide - Gallery", 'amber' ) => 'galley-wide ',
		),
		'group' => 'STM'
	),

);
vc_add_params( 'vc_column', $attributes );


add_filter( 'vc_iconpicker-type-fontawesome', 'vc_stm_icons' );
function vc_stm_icons( $fonts ){

	$fonts = array();
	$icons = json_decode( file_get_contents( get_template_directory() . '/inc/assets/icons/selection.json' ), true );

	foreach( $icons['icons'] as $icon ){
		$fonts['Amber Icons'][] = array(
			"icomoon-".$icon['properties']['name'] => 'STM ' . $icon['properties']['name']
		);
	}

	return $fonts;
}