<?php
class STM_Widget_Event_Categories extends WP_Widget {
	function __construct() {
		parent::__construct(
			'event_categories',
			__('Event Categories', 'amber'),
			array( 'description' => __( 'Event Categories', 'amber' ), )
		);
	}

	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance['title'] );
		echo $args['before_widget'];
		if ( ! empty( $title ) ) {
			echo $args['before_title'] . esc_html( $title ) . $args['after_title'];
		}

		$event_terms = get_terms('event_categories');
		echo '<ul class="event-categories_list">';
		foreach($event_terms as $event_cat) {
			echo '<li><a href="'. esc_url( get_term_link($event_cat) ).'">'.esc_html( $event_cat->name ).'</a></li>';
		}
		echo '</ul>';

		echo $args['after_widget'];
	}

	public function form( $instance ) {
		if ( isset( $instance[ 'title' ] ) ) {
			$title = $instance[ 'title' ];
		} else {
			$title = '';
		}

		?>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php _e( 'Widget Title', 'amber' ); ?></label>
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" value="<?php echo esc_attr( $title ); ?>"/>
		</p>
	<?php
	}

	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? $new_instance['title'] : '';
		return $instance;
	}
}

function stm_event_categories_widget() {
	register_widget( 'STM_Widget_Event_Categories' );
}
add_action( 'widgets_init', 'stm_event_categories_widget' );