<?php
class STM_Widget_Social_Networks extends WP_Widget {
	function __construct() {
		parent::__construct(
			'follow_us',
			__('Follow us', 'amber'),
			array( 'description' => __( 'Social Networks', 'amber' ), )
		);
	}

	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance['title'] );
		echo $args['before_widget'];
		if ( ! empty( $title ) ) {
			echo $args['before_title'] . esc_html( $title ) . $args['after_title'];
		}

		echo '<p class="follow_fb"><span class="follow-icon_holder"><a href="'.esc_url( $instance['facebook_link'] ).'"><i class="fa fa-facebook"></i></a></span><span class="follow_label">'.__( $instance['facebook_label'], 'amber' ).'</span></p>';
		echo '<p class="follow_tw"><span class="follow-icon_holder"><a href="'.esc_url( $instance['twitter_link'] ).'"><i class="fa fa-twitter"></i></a></span><span class="follow_label">'.__( $instance['twitter_label'], 'amber' ).'</span></p>';
		echo '<p class="follow_ytb"><span class="follow-icon_holder"><a href="'.esc_url( $instance['youtube_link'] ).'"><i class="fa fa-youtube"></i></a></span><span class="follow_label">'.__( $instance['youtube_label'], 'amber' ).'</span></p>';
		echo '<p class="follow_inst"><span class="follow-icon_holder"><a href="'.esc_url( $instance['instagram_link'] ).'"><i class="fa fa-instagram"></i></a></span><span class="follow_label">'.__( $instance['instagram_label'], 'amber' ).'</span></p>';
		echo '<p class="follow_pr"><span class="follow-icon_holder"><a href="'.esc_url( $instance['pinterest_link'] ).'"><i class="fa fa-pinterest-p"></i></a></span><span class="follow_label">'.__( $instance['pinterest_label'], 'amber' ).'</span></p>';
		echo $args['after_widget'];
	}

	public function form( $instance ) {
		if ( isset( $instance[ 'title' ] ) ) {
			$title = $instance[ 'title' ];
		} else {
			$title = __('Follow us', 'amber');
		}
		if ( isset( $instance[ 'facebook_label' ] ) ) {
			$facebook_label = $instance[ 'facebook_label' ];
		} else {
			$facebook_label = '';
		}
		if ( isset( $instance[ 'facebook_link' ] ) ) {
			$facebook_link = $instance[ 'facebook_link' ];
		} else {
			$facebook_link = '';
		}
		if ( isset( $instance[ 'twitter_label' ] ) ) {
			$twitter_label = $instance[ 'twitter_label' ];
		} else {
			$twitter_label = '';
		}
		if ( isset( $instance[ 'twitter_link' ] ) ) {
			$twitter_link = $instance[ 'twitter_link' ];
		} else {
			$twitter_link = '';
		}
		if ( isset( $instance[ 'youtube_label' ] ) ) {
			$youtube_label = $instance[ 'youtube_label' ];
		} else {
			$youtube_label = '';
		}
		if ( isset( $instance[ 'youtube_link' ] ) ) {
			$youtube_link = $instance[ 'youtube_link' ];
		} else {
			$youtube_link = '';
		}
		if ( isset( $instance[ 'instagram_label' ] ) ) {
			$instagram_label = $instance[ 'instagram_label' ];
		} else {
			$instagram_label = '';
		}
		if ( isset( $instance[ 'instagram_link' ] ) ) {
			$instagram_link = $instance[ 'instagram_link' ];
		} else {
			$instagram_link = '';
		}
		if ( isset( $instance[ 'pinterest_label' ] ) ) {
			$pinterest_label = $instance[ 'pinterest_label' ];
		} else {
			$pinterest_label = '';
		}
		if ( isset( $instance[ 'pinterest_link' ] ) ) {
			$pinterest_link = $instance[ 'pinterest_link' ];
		} else {
			$pinterest_link = '';
		}
		?>

		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php _e( 'Widget Title', 'amber' ); ?></label>
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" value="<?php echo esc_attr( $title ); ?>"/>
		</p>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'facebook_label' ) ); ?>"><?php _e( 'Facebook', 'amber' ); ?></label>
			<textarea class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'facebook_label' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'facebook_label' ) ); ?>" ><?php echo balanceTags( $facebook_label, true ); ?></textarea>
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'facebook_link' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'facebook_link' ) ); ?>" value="<?php echo esc_url( $facebook_link ); ?>"/>
		</p>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'twitter_label' ) ); ?>"><?php _e( 'Twitter', 'amber' ); ?></label>
			<textarea class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'twitter_label' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'twitter_label' ) ); ?>" ><?php echo balanceTags( $twitter_label, true ); ?></textarea>
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'twitter_link' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'twitter_link' ) ); ?>" value="<?php echo esc_url( $twitter_link ); ?>"/>
		</p>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'youtube_label' ) ); ?>"><?php _e( 'Youtube', 'amber' ); ?></label>
			<textarea class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'youtube_label' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'youtube_label' ) ); ?>" ><?php echo balanceTags( $youtube_label, true ); ?></textarea>
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'youtube_link' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'youtube_link' ) ); ?>" value="<?php echo esc_url( $youtube_link ); ?>"/>
		</p>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'instagram_label' ) ); ?>"><?php _e( 'Instagram', 'amber' ); ?></label>
			<textarea class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'instagram_label' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'instagram_label' ) ); ?>" ><?php echo balanceTags( $instagram_label, true ); ?></textarea>
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'instagram_link' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'instagram_link' ) ); ?>" value="<?php echo esc_url( $instagram_link ); ?>"/>
		</p>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'pinterest_label' ) ); ?>"><?php _e( 'Pinterest', 'amber' ); ?></label>
			<textarea class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'pinterest_label' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'pinterest_label' ) ); ?>" ><?php echo balanceTags( $pinterest_label, true ); ?></textarea>
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'pinterest_link' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'pinterest_link' ) ); ?>" value="<?php echo esc_url( $pinterest_link ); ?>"/>
		</p>
	<?php
	}

	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? $new_instance['title'] : '';
		$instance['facebook_label'] = ( ! empty( $new_instance['facebook_label'] ) ) ? $new_instance['facebook_label'] : '';
		$instance['facebook_link'] = ( ! empty( $new_instance['facebook_link'] ) ) ? $new_instance['facebook_link'] : '';
		$instance['twitter_label'] = ( ! empty( $new_instance['twitter_label'] ) ) ? $new_instance['twitter_label'] : '';
		$instance['twitter_link'] = ( ! empty( $new_instance['twitter_link'] ) ) ? $new_instance['twitter_link'] : '';
		$instance['youtube_label'] = ( ! empty( $new_instance['youtube_label'] ) ) ? $new_instance['youtube_label'] : '';
		$instance['youtube_link'] = ( ! empty( $new_instance['youtube_link'] ) ) ? $new_instance['youtube_link'] : '';
		$instance['instagram_label'] = ( ! empty( $new_instance['instagram_label'] ) ) ? $new_instance['instagram_label'] : '';
		$instance['instagram_link'] = ( ! empty( $new_instance['instagram_link'] ) ) ? $new_instance['instagram_link'] : '';
		$instance['pinterest_label'] = ( ! empty( $new_instance['pinterest_label'] ) ) ? $new_instance['pinterest_label'] : '';
		$instance['pinterest_link'] = ( ! empty( $new_instance['pinterest_link'] ) ) ? $new_instance['pinterest_link'] : '';
		return $instance;
	}
}

function stm_social_networks_widget() {
	register_widget( 'STM_Widget_Social_Networks' );
}
add_action( 'widgets_init', 'stm_social_networks_widget' );