<?php
	get_header();
	get_template_part('parts/page-header');
	global $wp_query;

	// Page Id
	if( is_home() ) {
		$page_ID = get_option('page_for_posts');
	} else {
		$page_ID = get_the_ID();
	}

	// Container
	$page_container_has = '';
	if(comments_open() || get_comments_number()) {
		$page_container_has .= ' has-comments';
	}

	// Sidebar
	$page_sidebar = get_post_meta($page_ID, 'page_sidebar', true);
	$sidebar_before = $sidebar_after = $content_before = $content_after = '';

	// Right Sidebar
	if ( $page_sidebar == 'right' ) {
		// Content before
		$content_before .= '<div class="row">';
		$content_before .= '<div class="col-lg-9 col-md-9 col-sm-12 col-xs-12">';

		//Content after
		$content_after .= '</div>';

		// Sidebar after
		$sidebar_before .= '<div class="col-lg-3 col-md-3 hidden-sm hidden-xs">';

		// Sidebar before
		$sidebar_after .= '</div>';
		$sidebar_after .= '</div>';
	}

	if( $page_sidebar == 'left' ) {
		// Content before
		$content_before .= '<div class="row">';
		$content_before .= '<div class="col-lg-9 col-md-9 col-lg-push-3 col-md-push-3 col-sm-12 col-xs-12">';

		//Content after
		$content_after .= '</div>';

		// Sidebar after
		$sidebar_before .= '<div class="col-lg-3 col-lg-pull-9 col-md-3 col-md-pull-9 hidden-sm hidden-xs">';

		// Sidebar before
		$sidebar_after .= '</div>';
		$sidebar_after .= '</div>';
	}


	if( $page_sidebar == 'right' || $page_sidebar == 'left' ) {
		$page_container_has .= ' has-sidebar';
	} else {
		$page_container_has .= ' full-width';
	}

?>
<div class="container posts-container<?php echo esc_attr($page_container_has); ?>">
	<div class="container-inner">
		<?php echo $content_before; ?>
				<div class="content">
					<div class="posts-grid">
						<?php if ( have_posts() ) : ?>

						<?php while ( have_posts() ) : the_post(); ?>
							<?php get_template_part( 'loop/loop', 'grid'); ?>
						<?php endwhile; ?>

						<?php else : ?>
							<?php get_template_part( 'content', 'none' ); ?>
						<?php endif; ?>
					</div>

					<?php if($wp_query->max_num_pages > 1): ?>
					<nav class="posts-navigation">
						<?php
							echo paginate_links( array(
								'type'      => 'list',
								'prev_text' => '',
								'next_text' => '',
							) );
						?>
					</nav>
                    <?php endif; ?>
				</div>

		<?php echo $content_after; ?>
		<?php echo $sidebar_before; ?>
				<?php
					if($page_sidebar == 'left' || $page_sidebar == 'right') {
						get_sidebar();
					}
				?>
		<?php echo $sidebar_after; ?>
	</div>
</div>
<?php get_footer(); ?>
