<?php
	$page_for_posts = get_option('page_for_posts');

	if(is_home() || is_archive()) {
		$page_id = $page_for_posts;
	} else {
		$page_id = get_the_ID();
	}

	$page_title_display = get_post_meta( $page_id, 'page_title_display', true );
	$page_title_bg_type = get_post_meta( $page_id, 'page_title_bg_type', true );

	$page_header_bg = get_post_meta( $page_id, 'page_title_bg', true );
	if($page_header_bg) {
		$page_header_bg = wp_get_attachment_image_src($page_header_bg, 'full');
	}

	$page_header_bg_color = get_post_meta( $page_id, 'page_title_bg_color', true );

	$page_header_align = get_post_meta( $page_id, 'page_header_align', true );

	$page_title_icon = get_post_meta( $page_id, 'page_title_icon', true );
	if($page_title_icon != '') {
		$page_title_icon = wp_get_attachment_image( $page_title_icon, 'full' );
	}

	$page_description = get_post_meta( $page_id, 'page_description', true );
	$page_description_color = get_post_meta( $page_id, 'page_description_color', true );

	$page_title_color = get_post_meta( $page_id, 'page_title_color', true );
	$page_title_transform = get_post_meta( $page_id, 'page_title_transform', true );

	$page_header_styles = array();
	$page_header_style = '';
	$page_title_styles = array();
	$page_title_style = '';
	$page_description_styles = array();
	$page_description_style = '';

	// Page header styles
	if( $page_header_bg != '' ) {
		if( $page_title_bg_type != 'color' ) {
			$page_header_bg_src = $page_header_bg[0];
			$page_header_styles[] = 'background-image:url(' . esc_url( $page_header_bg_src ) . ')';
		} else {
			$page_header_styles[] = 'background-image:none';
		}
	}

	if(	$page_header_bg_color != '' ) {
		$page_header_styles[] = 'background-color:' . $page_header_bg_color;
	}

	if(	$page_header_align != '' ) {
		$page_header_styles[] = 'text-align:' . $page_header_align;
	}

	if( !empty( $page_header_styles ) ) {
		$page_header_style = ' style="' . esc_attr( implode(';' , $page_header_styles) ) . '"';
	}

	// Page title styles
	if( $page_title_color != '' ) {
		$page_title_styles[] = 'color:' . $page_title_color;
	}
	if( $page_title_transform != '' ) {
		$page_title_styles[] = 'text-transform:' . $page_title_transform;
	}

	if( !empty( $page_title_styles ) ) {
		$page_title_style = ' style="' . esc_attr( implode(';' , $page_title_styles) ) . '"';
	}

	// Page description styles
	if( $page_description_color != '' ) {
		$page_description_styles[] = 'color:' . $page_description_color;
	}

	if( !empty( $page_description_styles ) ) {
		$page_description_style = ' style="' . esc_attr( implode(';' , $page_description_styles) ) . '"';
	}
?>

<div class="page-header"<?php echo $page_header_style; ?>>
	<div class="container">
		<div class="page-header_wrap">
			<div class="page-header_in">
			<?php if($page_title_icon != '') : ?>
				<div class="page-header_icon"><?php echo balanceTags( $page_title_icon, true ); ?></div>
			<?php endif; ?>
			<?php
				if ( is_archive() ) {
					echo '<h2 class="page-title"'. $page_title_style .'>'; post_type_archive_title(); echo '</h2>';
				} else if ( is_home() ) {
					if( $page_title_display != 'hide' ) {
						if ( $page_for_posts ) {
							echo '<h2 class="page-title"'. $page_title_style .'>' . get_the_title( $page_for_posts ) . '</h2>';
						} else {
							echo '<h2 class="page-title"'. $page_title_style .'>' . __( 'Blog', 'amber' ) . '</h2>';
						}
					}
				} else if ( is_search() ) {
					echo '<h2 class="page-title">' . __('Search Results for:', 'amber') . ' ' . get_search_query() . '</h2>';
				} else if ( get_post_type() == 'rental_service' ) {
					if( $page_title_display != 'hide' ) {
						echo '<h2 class="page-title"'. $page_title_style .'>' . __( 'Rental Services', 'amber' ) . '</h2>';
					}
				} else {
					if( $page_title_display != 'hide' ) {
						the_title('<h2 class="page-title"' . $page_title_style . '>', '</h2>');
					}
				}
			?>
			<?php if( $page_description != '') : ?>
				<p<?php echo $page_description_style; ?>><?php echo balanceTags( $page_description, true ); ?></p>
			<?php endif; ?>
			</div>
		</div>
	</div>
</div>