<?php

$tags = wp_get_post_tags( get_the_ID(), array( 'fields' => 'ids' ) );

if ( ! empty( $tags ) ):

	$args = array(
		'tag__in'        => $tags,
		'post__not_in'   => array( get_the_ID() ),
		'posts_per_page' => 3,
		'post_type' => get_post_type()
	);

	$relatedPosts = new WP_Query( $args );

	if ( $relatedPosts->have_posts() ):
		?>
		<div class="related-posts">
				<h5 class="related-posts_title"><?php _e( 'Related posts', 'amber' ); ?></h5>
				<div class="row">
						<?php
							while ( $relatedPosts->have_posts() ) :
							$relatedPosts->the_post();
						?>
									<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4">
										<div class="related-post">
											<?php
											if(has_post_thumbnail()) : ?>
												<div class="related-post_thumbnail">
													<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
														<?php the_post_thumbnail('thumb-840x500'); ?>
														<div class="entry-thumbnail_decor">
															<div class="ethumbnail-decor_in"></div>
														</div>
													</a>
												</div>
											<?php endif; ?>
											<div class="related-post_published"><?php the_date(); ?></div>
											<h5 class="related-post_title">
												<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
											</h5>
										</div>
									</div>
					<?php endwhile; ?>
				</div>
			</div>
	<?php endif; ?>
	<?php wp_reset_query(); ?>
<?php endif; ?>
