<div class="top-navbar navbar navbar-default">
    <div class="container">
        <?php
            $top_bar_search_enable = true;
            if( $top_menu_search_state = get_theme_mod('top_menu_search_state') ) {
                if ($top_menu_search_state == 'hide') {
                    $top_bar_search_enable = false;
                }
            } else {
                $top_bar_search_enable = stm_option( 'top_bar_search_enable' );
            }
        ?>
        <?php if( $top_bar_search_enable ) { ?>
            <form class="navbar-form" role="search" method="get" action="<?php echo home_url( '/' ); ?>">
                <div class="form-group has-feedback">
                    <input name="s" type="text" class="search-query form-control" autocomplete="off" placeholder="<?php _e( 'Search', 'amber' ); ?>" />
                    <span class="glyphicon glyphicon-search form-control-feedback" aria-hidden="true"></span>
                </div>
            </form>
        <?php } ?>
        <?php
            // Login
            $top_bar_login_enable = true;

            if( $top_menu_login_state = get_theme_mod( 'top_menu_login_state' ) ) {
                if( $top_menu_login_state == 'hide' ) {
                    $top_bar_login_enable = false;
                }
            } else {
                $top_bar_login_enable = stm_option( 'top_bar_login_enable' );
            }

            $top_bar_social_enable = false;
            $social_networks = array();

            // Socials
            if( $top_menu_socials_state = get_theme_mod('top_menu_socials_state') ) {
                $customize_socials = true;

                if( $top_menu_socials_state == 'show' ) {
                    $top_bar_social_enable = true;

                    if( $top_menu_socials = get_theme_mod('top_menu_socials') ) {
                        $social_networks = $top_menu_socials;
                    }
                }
            } else {
                $customize_socials = false;
                $top_bar_social_enable = stm_option('top_bar_social_enable');

                if( $top_bar_social = stm_option('top_bar_social') ) {
                    $social_networks = $top_bar_social;
                }
            }

            if( !is_user_logged_in() && $top_bar_login_enable ) : ?>
            <ul class="nav navbar-nav navbar-right">
                <?php
                if( !empty( $social_networks ) && $top_bar_social_enable ) {
                    foreach( $social_networks as $key => $value) {
                        if( $customize_socials ) {
                            $social_url = $value;
                        } else {
                            $social_url = stm_option($key);
                        }

                        if( !empty( $value ) ) {
                            ?>
                            <li class="user-menu-item social-networks"><a href="<?php echo esc_url( $social_url ); ?>"><i class="fa fa-<?php esc_attr_e( $key ); ?>"></i></a></li>
                        <?php
                        }
                    }
                }
                ?>
                <?php if( is_array( $social_networks ) && $top_menu_socials_state != 'hide' ) : ?>
                    <li class="user-menu-separator"><span class="user-menu-separator_item"></span></li>
                <?php endif; ?>
                <li><a href="<?php echo esc_url( wp_login_url( home_url() ) ); ?> "><i class="fa fa-user"></i><?php _e( 'Sign in', 'amber' ); ?></a></li>
                <li><a href="<?php echo esc_url( wp_registration_url() ); ?>"><i class="fa fa-pencil"></i><?php _e( 'Sign up', 'amber' ); ?></a></li>
            </ul>
        <?php
            else :
                $top_bar_cart_enable = true;
                if( $top_menu_cart_state = get_theme_mod('top_menu_cart_state') ) {
                    if( $top_menu_cart_state == 'hide' ) {
                        $top_bar_cart_enable = false;
                    }
                } else {
                    $top_bar_cart_enable = stm_option('top_bar_cart_enable');
                }
                if( $top_bar_cart_enable || $top_bar_login_enable || $top_bar_social_enable && $social_networks ) :
        ?>

            <div class="user-navbar">
                <ul class="user-menu">
                    <?php if( $top_bar_login_enable ) : ?>
                        <li class="user-menu-item"><a href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>" title="<?php _e('Account', 'amber'); ?>"><i class="fa fa-user"></i><?php _e('Account', 'amber'); ?></a></li>
                        <li class="user-menu-item"><a href="<?php echo esc_url( wp_logout_url(home_url()) ); ?>"><i class="fa fa-sign-out"></i><?php _e( 'Log out', 'amber' ); ?></a></li>
                    <?php endif; ?>
                    <?php if ( class_exists( 'WooCommerce' ) && $top_bar_cart_enable ) : ?>
                        <li class="user-menu-item cart-contents"><a href="<?php echo WC()->cart->get_cart_url(); ?>" title="<?php _e( 'View your shopping cart', 'amber' ); ?>"><?php echo sprintf (_n( '%d item', '%d items', WC()->cart->cart_contents_count ), WC()->cart->cart_contents_count ); ?> - <?php echo WC()->cart->get_cart_total(); ?><i class="fa fa-shopping-cart"></i></a></li>
                    <?php endif; ?>
                    <?php if( is_array( $social_networks ) && $top_bar_social_enable && $top_bar_cart_enable && class_exists( 'WooCommerce' ) ) : ?>
                        <li class="user-menu-separator"><span class="user-menu-separator_item"></span></li>
                    <?php endif; ?>
                    <?php
                        if( !empty( $social_networks ) && $top_bar_social_enable ) {
                            foreach ($social_networks as $key => $value) {
                                if( $customize_socials ) {
                                    $social_url = $value;
                                } else {
                                    $social_url = stm_option($key);
                                }
                                if (!empty($value) && !empty( $social_url )) {
                    ?>
                                    <li class="user-menu-item social-networks"><a href="<?php echo esc_url($social_url); ?>"><i class="fa fa-<?php esc_attr_e($key); ?>"></i></a></li>
                    <?php
                                }
                            }
                        }
                    ?>
                </ul>
            </div>
        <?php
                endif;
            endif;
        ?>
    </div><!-- end .container -->
</div> <!-- end .top-navbar -->