<?php
	// Currency
	$rental_service_price_currency = get_post_meta( get_the_ID(), 'rental_service_price_currency', true );
	$rental_service_price_currency_position = get_post_meta( get_the_ID(), 'rental_service_price_currency_position', true );

	// Price A
	$rental_service_price_label_a = get_post_meta( get_the_ID(), 'rental_service_price_label_a', true );
	$rental_service_cost_a = get_post_meta( get_the_ID(), 'rental_service_cost_a', true );

	// Image
	$rental_service_image_id = get_post_thumbnail_id(get_the_ID());
	$rental_service_image = wp_get_attachment_image_src($rental_service_image_id, 'full');

	// Filter
	$rental_service_categories = get_the_terms(get_the_ID(), 'rental_service_categories');
	$rental_service_classes = array();
	if($rental_service_categories) {
		foreach($rental_service_categories as $rental_service_category) {
			$rental_service_classes[] = $rental_service_category->slug;
		}
		$rental_service_classes = implode(' ', $rental_service_classes);
	}
?>
<div class="col-lg-4 col-md-4 col-sm-6 col-xs-12 <?php echo esc_attr(	$rental_service_classes ); ?>">
	<div class="rental-service_item">
		<div class="rs-item_inner">
			<div class="rs-item_actions">
				<a class="rs-item_action_zoom js-fancybox" href="<?php echo esc_url($rental_service_image[0]); ?>"><i class="fa fa-search-plus"></i></a>
				<a class="rs-item_action_link" href="<?php echo get_permalink(get_the_ID()); ?>"><i class="fa fa-eye"></i></a>
			</div>
			<div class="rs-item_content"><?php the_post_thumbnail('full'); ?></div>
			<div class="rs-item_caption">
				<div class="rs-item_title"><?php echo get_the_title(get_the_ID()); ?></div>
				<div class="rs-item_price"><?php echo esc_html( $rental_service_price_currency ); ?><?php echo esc_html( $rental_service_cost_a ); ?> <?php echo esc_html( $rental_service_price_label_a ); ?></div>
			</div>
		</div>
	</div>
</div>
