<?php
	// ID
	$rental_service_ID = get_the_ID();

	// Currency
	$rental_service_price_currency = get_post_meta( $rental_service_ID, 'rental_service_price_currency', true );
	$rental_service_price_currency_position = get_post_meta( $rental_service_ID, 'rental_service_price_currency_position', true );

	// Price A
	$rental_service_price_label_a = get_post_meta( $rental_service_ID, 'rental_service_price_label_a', true );
	$rental_service_cost_a = get_post_meta( $rental_service_ID, 'rental_service_cost_a', true );

	// Price B
	$rental_service_price_label_b = get_post_meta( $rental_service_ID, 'rental_service_price_label_b', true );
	$rental_service_cost_b = get_post_meta( $rental_service_ID, 'rental_service_cost_b', true );

	// Contact - Phone
	$rental_service_contact_phone = get_post_meta( $rental_service_ID, 'rental_service_contact_phone', true );

?>
<div class="row">
	<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
		<div class="content" id="main-content">
			<div class="rental-service_details">
				<div class="rental-service-gallery js-carousel-single hidden-lg hidden-md">
					<?php
                        the_post_thumbnail('full');
                        $rental_service_images = get_post_meta( $rental_service_ID, 'rental_service_images', true );
                        foreach($rental_service_images as $image_id) {
                            echo wp_get_attachment_image($image_id, 'full');
                        }
					?>
				</div>
				<div class="rental-service-details_head">
					<h2><?php the_title(); ?></h2>
					<div class="rental-service_price">
						<table class="rental-service-price_table">
							<tbody>
								<tr>
                                    <?php if($rental_service_cost_a != ''): ?>
                                        <td>
                                            <?php if($rental_service_price_currency_position != 'right') : ?>
                                                <span class="rental-service-price_currency"><?php echo esc_html( $rental_service_price_currency ); ?></span>
                                            <?php endif; ?>
                                            <span class="rental-service-price_cost"><?php echo esc_html( $rental_service_cost_a ); ?></span>
                                            <?php if($rental_service_price_currency_position == 'right') : ?>
                                                <span class="rental-service-price_currency"><?php echo esc_html( $rental_service_price_currency ); ?></span>
                                            <?php endif; ?>
                                        </td>
                                    <?php endif; ?>
									<?php if($rental_service_price_label_a != ''): ?>
										<td>
                                            <span class="rental-service-price_label"><?php echo esc_html( $rental_service_price_label_a ); ?></span>
                                        </td>
									<?php endif; ?>
								</tr>
								<tr>
									<?php if($rental_service_cost_b != ''): ?>
										<td>
                                            <?php if($rental_service_price_currency_position != 'right') : ?>
                                                <span class="rental-service-price_currency"><?php echo esc_html( $rental_service_price_currency ); ?></span>
                                            <?php endif; ?>
                                            <span class="rental-service-price_cost"><?php echo esc_html( $rental_service_cost_b ); ?></span>
                                            <?php if($rental_service_price_currency_position == 'right') : ?>
                                                <span class="rental-service-price_currency"><?php echo esc_html( $rental_service_price_currency ); ?></span>
                                            <?php endif; ?>
                                        </td>
									<?php endif; ?>
									<?php if($rental_service_price_label_b != ''): ?>
										<td>
                                            <span class="rental-service-price_label"><?php echo esc_html( $rental_service_price_label_b ); ?></span>
                                        </td>
									<?php endif; ?>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
				<div class="rental-service-details_body">
					<div class="rental-service-body_inner">
						<?php the_content(); ?>
					</div>
				</div>
				<div class="rental-service_tags">
					<div class="rental-service-tags_inner">
						<?php
							$tags_list = get_the_tag_list( '', '' );
							if ( $tags_list ) {
								echo '<div class="tags-links">'. $tags_list .'</div>';
							}
						?>
						<a class="post-start" href="#main-content"><?php _e( 'Back to top', 'amber' ); ?></a>
					</div>
				</div>
			</div>
			<div class="rental-services-navigation">
				<?php previous_post_link( '<div class="prev">%link</div>', '<i class="icon icomoon-arrowleft"></i><span class="prev_text">'.__('Prev', 'amber' ).'</span>', false );
				next_post_link( '<div class="next">%link</div>', '<span class="next_text">'.__('Next', 'amber' ).'</span><i class="icon icomoon-arrowright"></i>', false ); ?>
			</div>
		</div>
	</div>
	<div class="col-lg-6 col-md-6 hidden-sm hidden-xs">
		<div class="rental-service-gallery gallery-list">
			<?php
				the_post_thumbnail('full');
				$rental_service_images = get_post_meta( $rental_service_ID, 'rental_service_images', true );
				foreach($rental_service_images as $image_id) {
					echo wp_get_attachment_image($image_id, 'full');
				}
			?>
		</div>
	</div>
</div>