<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header();
$page_id = get_the_ID();

$page_header_align = get_post_meta( $page_id, 'page_header_align', true );

$page_title_icon = get_post_meta( $page_id, 'page_title_icon', true );
if($page_title_icon != '') {
	$page_title_icon = wp_get_attachment_image( $page_title_icon, 'full' );
}

$page_description = get_post_meta( $page_id, 'page_description', true );
$page_description_color = get_post_meta( $page_id, 'page_description_color', true );

$page_title_color = get_post_meta( $page_id, 'page_title_color', true );
$page_title_transform = get_post_meta( $page_id, 'page_title_transform', true );

$page_header_css = '';
$page_title_css = '';
$page_description_css = '';

if($page_title_color != '') {
	$page_title_css .= 'color:'.$page_title_color.';';
}
if($page_title_transform != '') {
	$page_title_css .= 'text-transform:'.$page_title_transform.';';
}

if($page_description_color != '') {
	$page_description_css .= 'color:'.$page_description_color.';';
}

if(	$page_header_align != '') {
	$page_header_css .= 'text-align:'.$page_header_align.';';
}

?>
<?php if( $page_header_align != '') : ?>
<div class="page-header" style="<?php echo esc_attr( $page_header_css ); ?>">
	<?php else : ?>
	<div class="page-header">
		<?php endif; ?>
		<div class="container">
			<div class="page-header_wrap">
				<div class="page-header_in">
					<?php if($page_title_icon != '') : ?>
						<div class="page-header_icon"><?php echo balanceTags( $page_title_icon ); ?></div>
					<?php endif; ?>

					<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>

						<?php if($page_title_css != '') : ?>
							<h2 class="page-title" style="<?php echo esc_attr( $page_title_css ); ?>"><?php woocommerce_page_title(); ?></h2>
						<?php else : ?>
							<h2 class="page-title"><?php the_title(); ?></h2>
						<?php endif; ?>

					<?php endif; ?>

					<?php if( $page_description != '') : ?>
						<?php if($page_description_css != ''): ?>
							<p style="<?php echo esc_attr( $page_description_css ); ?>"><?php echo balanceTags( $page_description ); ?></p>
						<?php else: ?>
							<p><?php echo balanceTags( $page_description ); ?></p>
						<?php endif; ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
<div class="container single-product-container">
	<div class="container-inner">
	<div class="row">
		<div class="col-lg-9 col-md-9 col-sm-12 col-xs-12">
			<div class="content">
				<?php
					/**
					 * woocommerce_before_main_content hook
					 *
					 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
					 * @hooked woocommerce_breadcrumb - 20
					 */
					do_action( 'woocommerce_before_main_content' );
				?>

					<?php while ( have_posts() ) : the_post(); ?>

						<?php wc_get_template_part( 'content', 'single-product' ); ?>

					<?php endwhile; // end of the loop. ?>

				<?php
					/**
					 * woocommerce_after_main_content hook
					 *
					 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
					 */
					do_action( 'woocommerce_after_main_content' );
				?>
			</div>
		</div>
		<?php if ( is_active_sidebar( 'shop' ) ) : ?>
		<div class="col-md-3 col-lg-3 hidden-xs hidden-sm">
		<?php
			/**
			 * woocommerce_sidebar hook
			 *
			 * @hooked woocommerce_get_sidebar - 10
			 */
			do_action( 'woocommerce_sidebar' );
		?>
		</div>
		<?php endif; ?>

	</div>
	</div>
</div>

<?php get_footer( 'shop' ); ?>
